-- Finished = Done 

main = ScriptThread("Vehicle_Menu")

include("../../internal/extensions/CScriptThread.lua")
include("kmc_GUI.lua")
include("functions/ScriptTables.lua")
include("functions/VehicleOptions.lua")
include("functions/SpawningOptions.lua")


function mainInit()

-------------------------------------------START OF CUSTOMIZATION ---------------------------------------------------
-- Menu Controls
	VehicleMenuGUI.navButtons = {
	["menuOpen"]  = {["keys"] = {KEY_F11, KEY_NUMPAD9}, ["menu"] = "VehicleOptions"},
	["menuClose"] = {["keys"] = {}},
	["navUp"] 	  = {["keys"] = {KEY_NUMPAD8, KEY_UP}},
	["navDown"]   = {["keys"] = {KEY_NUMPAD2, KEY_DOWN}},
	["select"] 	  = {["keys"] = {KEY_NUMPAD5, KEY_RIGHT}},
	["navBack"]   = {["keys"] = {KEY_NUMPAD0, KEY_LEFT}}}
----------------------------------------------------------------------------------------------------------------------				
-- Action Controls (Repair, Refuel etc)
	RefuelStanceKey = VK_OEM_1
	StopRefuelStanceKey = VK_OEM_7
	RepairStanceKey = VK_OEM_PERIOD
	VehicleRepairKey = KEY_R
	StopRepairStanceKey = VK_OEM_2
	CleaningVehicleStartKey = VK_OEM_4
	CleaningVehicleStopKey = VK_OEM_6
-- USE THIS LINK TO CHANGE KEYS http://wiki.gtalua.com/index.php/KEY_Constants --
----------------------------------------------------------------------------------------------------------------------
-- Location of Health and fuel bars and their text.(Make a backup of these when you change them!)
	PetrolX = 0.2300   
	PetrolY = 0.99
	EngineX = 0.2300
	EngineY = 0.97	
	GlobalHpX = 0.2300
	GlobalHpY = 0.95
	
	FuelMeterX = 0.2300
	FuelMeterY = 0.93

	FuelTextX = 0.1550
	FuelTextY = 0.9150	
	GlobalHpTextX = 0.1550
	GlobalHpTextY = 0.9350
	EngineHpTextX = 0.1550
	EngineHpTextY = 0.9550
	PetrolTankHpTextX = 0.1550
	PetrolTankHpTextY = 0.9750
	
	SpeedMeterX = 0.1550
	SpeedMeterY = 0.8950
	SpeedMeterMpX = 0.1550
	SpeedMeterMpY = 0.8950
	SpeedMeterBoxX = 0.2170
	SpeedMeterBoxY = 0.9600

--	I allowed customization for this but it is kinda hard to get it at the right spot (where you want.)									
-------------------------------------------END OF CUSTOMIZATION ---------------------------------------------------

MainMenu = {}

	ply = natives.PLAYER.PLAYER_ID()
	plyPed = natives.PLAYER.PLAYER_PED_ID()
	veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)
	RimsUpdateB = natives.VEHICLE.GET_VEHICLE_MOD(veh, 24)
	MaxRimsB = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 24)-1
	RimsUpdateF = natives.VEHICLE.GET_VEHICLE_MOD(veh, 23)
	MaxRimsF = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 23)-1
	ArmorUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 16)
	MaxArmor = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 16)-1
	SuspensionUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 15)
	MaxSuspension = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 15)-1	
	HornsUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 14)
	MaxHorns = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 14)-1	
	TransmissionUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 13)
	MaxTransmission = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 13)-1	
	BrakesUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 12)
	MaxBrakes = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 12)-1
	EngineUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 11)
	MaxEngine = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 11)-1	
	RoofUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 10)
	MaxRoof = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 10)-1	
	RightFenderUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 9)
	MaxRightFender = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 9)-1	
	FenderUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 8)
	MaxFender = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 8)-1	
	HoodUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 7)
	MaxHood = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 7)-1	
	GrilleUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 6)
	MaxGrille = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 6)-1	
	FrameUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 5)
	MaxFrame = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 5)-1
	ExhaustUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 4)
	MaxExhaust = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 4)-1	
	SideSkirtUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 3)
	MaxSideSkirt = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 3)-1	
	RearBumperUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 2)
	MaxRearBumper = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 2)-1	
	FrontBumperUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 1)
	MaxFrontBumper = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 1)-1
	SpoilersUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 0)
	MaxSpoiler = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 0)-1	
	MaxDirtLevel = 15
	CurrentDirtLevel = 0
	
	
-- Main menu options
---------------------------


function MainMenu.CloseMenu()
	VehicleMenuGUI.setActiveMenu("")
end

function MainMenu.DoNothing()
end

function MainMenu.Kill()
	main:Kill()
	addon.Load("RENAMEME")
end


-- Vehicle menu -- Finished
	VehicleMenuGUI.createMenu("VehicleOptions", "", "~b~V~y~e~b~h~y~i~b~c~y~l~b~e ~y~O~b~p~y~t~b~i~y~o~b~n~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Upgrade Car Options", VehicleMenuGUI.setActiveMenu, "CarUpgrade", false, 0.35, 0) -- Needs sub menu 12 -- Finished
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Neon Car Options", VehicleMenuGUI.setActiveMenu, "CarNeon", false, 0.35, 0)	-- Needs sub menu 2 -- Finished 
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Color Car Options", VehicleMenuGUI.setActiveMenu, "CarColor", false, 0.35, 0)	-- Needs sub menu 1 -- Finished
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Control Options", VehicleMenuGUI.setActiveMenu, "ControlCar", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Service Options", VehicleMenuGUI.setActiveMenu, "ServiceOptions", false, 0.35, 0) -- Needs sub menu 13 -- Finished
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Vehicle Spawner", VehicleMenuGUI.setActiveMenu, "VehicleSpawner", false, 0.35, 0)	-- Needs sub menu 4 -- Finished
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~y~ Hud Options", VehicleMenuGUI.setActiveMenu, "HUDoptions", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("VehicleOptions", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	
	-- Vehicle Hud
	VehicleMenuGUI.createMenu("HUDoptions", "VehicleOptions", "~b~V~y~e~b~h~y~i~b~c~y~l~b~e ~y~H~b~u~y~d~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("HUDoptions", "~h~~y~Health", VehicleOptions.VehicleHealthBar, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("HUDoptions", "~h~~y~Fuel", VehicleOptions.VehicleFuelBar, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("HUDoptions", "~h~~y~Mph", VehicleOptions.VehicleMph, nil, true, 0.35, 0) --Finished
	VehicleMenuGUI.addButton("HUDoptions", "~h~~y~Km/h", VehicleOptions.VehicleKmh, nil, true, 0.35, 0) --Finished
	VehicleMenuGUI.addButton("HUDoptions", "~h~~y~Background", VehicleOptions.VehicleLocalBackground, nil, true, 0.35, 0) --Finished
	VehicleMenuGUI.addButton("HUDoptions", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--Vehicle Service menu
	VehicleMenuGUI.createMenu("ServiceOptions", "VehicleOptions", "~b~V~y~e~b~h~y~i~b~c~y~l~b~e ~y~S~b~e~y~r~b~v~y~i~b~c~y~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Repair Car", VehicleOptions.Repaircar, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Clean Car", VehicleOptions.CleanCar, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Dirt (" .. CurrentDirtLevel .. "/" .. MaxDirtLevel .. ")", VehicleOptions.CarSetDirtLevel, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Set Plate", VehicleOptions.Setplate, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Scrolling plates", VehicleOptions.ScrollingPlates, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Super Boost", VehicleOptions.VehicleBoost, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Never Damaged", VehicleOptions.NeverDamaged, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~y~Vehicle God", VehicleOptions.VehicleGod, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ServiceOptions", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	
	-- car uprade menus -- Finished
	VehicleMenuGUI.createMenu("CarUpgrade", "VehicleOptions", "~b~C~y~a~b~r ~y~U~b~p~y~g~b~r~y~a~b~d~y~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~b~N~y~e~b~x~y~t", VehicleMenuGUI.setActiveMenu, "CarUpgrade3", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Quick Upgrades", VehicleMenuGUI.setActiveMenu, "CarUpgrade2", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Spoilers (" .. SpoilersUpdate .. "/" .. MaxSpoiler .. ")", VehicleOptions.SetSpoiler, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~FrontBumper (" .. FrontBumperUpdate .. "/" .. MaxFrontBumper .. ")", VehicleOptions.SetFrontBumper, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~RearBumper (" .. RearBumperUpdate .. "/" .. MaxRearBumper .. ")", VehicleOptions.SetRearBumper, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~SideSkirt (" .. SideSkirtUpdate .. "/" .. MaxSideSkirt .. ")", VehicleOptions.SetSideSkirt, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Exhaust (" .. ExhaustUpdate .. "/" .. MaxExhaust .. ")", VehicleOptions.SetExhaust, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Frame (" .. FrameUpdate .. "/" .. MaxFrame .. ")", VehicleOptions.SetFrame, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Grille (" .. GrilleUpdate .. "/" .. MaxGrille .. ")", VehicleOptions.SetGrille, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Hood (" .. HoodUpdate .. "/" .. MaxHood .. ")", VehicleOptions.SetHood, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~y~Fender (" .. FenderUpdate .. "/" .. MaxFender .. ")", VehicleOptions.SetFender, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("CarUpgrade2", "CarUpgrade", "~b~Q~y~u~b~i~y~c~b~k ~y~U~b~p~y~g~b~r~y~a~b~d~y~e~b~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Full Upgrade", VehicleOptions.FullUpgrade, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Fix Car", VehicleOptions.Repaircar, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Safety Upgrade", VehicleOptions.SafetyUpgrade, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Engine Upgrade", VehicleOptions.EngineUpgrade, nil, false, 0.35, 0)   -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Cosmetic Upgrade", VehicleOptions.CosmeticUpgrade, nil, false, 0.35, 0)   -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Performance Upgrade", VehicleOptions.PerformanceUpgrade, nil, false, 0.35, 0)   -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~y~Remove Upgrades", VehicleOptions.RemoveUpgrades, nil, false, 0.35, 0)   -- Finished
	VehicleMenuGUI.addButton("CarUpgrade2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	VehicleMenuGUI.createMenu("CarUpgrade3", "CarUpgrade", "~b~C~y~a~b~r ~y~U~b~p~y~g~b~r~y~a~b~d~y~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~b~N~y~e~b~x~y~t", VehicleMenuGUI.setActiveMenu, "CarUpgrade4", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~RightFender (" .. RightFenderUpdate .. "/" .. MaxRightFender .. ")", VehicleOptions.SetRightFender, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Roof (" .. RoofUpdate .. "/" .. MaxRoof .. ")", VehicleOptions.SetRoof, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Engine (" .. EngineUpdate .. "/" .. MaxEngine .. ")", VehicleOptions.SetEngine, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Brakes (" .. BrakesUpdate .. "/" .. MaxBrakes .. ")", VehicleOptions.SetBrakes, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Transmission (" .. TransmissionUpdate .. "/" .. MaxTransmission .. ")", VehicleOptions.SetTransmission, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Horns (" .. HornsUpdate .. "/" .. MaxHorns .. ")", VehicleOptions.SetHorns, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Suspension (" .. SuspensionUpdate .. "/" .. MaxSuspension .. ")", VehicleOptions.SetSuspension, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~Armor (" .. ArmorUpdate .. "/" .. MaxArmor .. ")", VehicleOptions.SetArmor, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~F Rims (" .. RimsUpdateF .. "/" .. MaxRimsF .. ")", VehicleOptions.SetFrontWheels, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~y~B Rims (" .. RimsUpdateB .. "/" .. MaxRimsB .. ")", VehicleOptions.SetBackWheels, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("CarUpgrade3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0) -- Finished

	VehicleMenuGUI.createMenu("CarUpgrade4", "CarUpgrade3", "~b~C~y~a~b~r ~y~U~b~p~y~g~b~r~y~a~b~d~y~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~y~Xeon Lights", VehicleOptions.ToggleXeonLights, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~y~Turbo", VehicleOptions.ToggleTurbo, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~y~Custom Wheels", VehicleOptions.CustomWheelToggle, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~y~Set RimType", VehicleMenuGUI.setActiveMenu, "SetRimType", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~y~Set Plate Style", VehicleMenuGUI.setActiveMenu, "SetPlateStyle", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~y~Set Window Tint", VehicleMenuGUI.setActiveMenu, "SetWindowTint", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("CarUpgrade4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	


	-- car set Window tint
	VehicleMenuGUI.createMenu("SetWindowTint", "CarUpgrade4", "~b~W~y~i~b~n~y~d~b~o~y~w ~b~T~y~i~b~n~y~t~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~None", VehicleOptions.SetWindowTint, 0, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~Pure Black", VehicleOptions.SetWindowTint, 1, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~Dark Smoke", VehicleOptions.SetWindowTint, 2, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~Light Smoke", VehicleOptions.SetWindowTint, 3, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~Stock", VehicleOptions.SetWindowTint, 4, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~Limo", VehicleOptions.SetWindowTint, 5, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~y~Green", VehicleOptions.SetWindowTint, 6, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetWindowTint", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	-- Car Set Plate Style -- Finished
	VehicleMenuGUI.createMenu("SetPlateStyle", "CarUpgrade4", "~b~P~y~l~b~a~y~t~b~e ~y~S~b~t~y~y~b~l~y~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~y~Blue/White1", VehicleOptions.SetPlateStyle, 0, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~y~Yellow/Black", VehicleOptions.SetPlateStyle, 1, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~y~Yellow/Blue", VehicleOptions.SetPlateStyle, 2, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~y~Blue/white2", VehicleOptions.SetPlateStyle, 3, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~y~Blue/white3", VehicleOptions.SetPlateStyle, 4, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~y~Yankton", VehicleOptions.SetPlateStyle, 5, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetPlateStyle", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	-- Car Set Rim type Menu -- finished
	VehicleMenuGUI.createMenu("SetRimType", "CarUpgrade4", "~b~R~y~i~b~m ~y~T~b~y~y~p~b~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~Sport", VehicleOptions.ChangeRimType, 0, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~Muscle", VehicleOptions.ChangeRimType, 1, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~Lowrider", VehicleOptions.ChangeRimType, 2, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~Suv", VehicleOptions.ChangeRimType, 3, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~Offroad", VehicleOptions.ChangeRimType, 4, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~Tuner", VehicleOptions.ChangeRimType, 5, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~MotorCycle", VehicleOptions.ChangeRimType, 6, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~y~High end", VehicleOptions.ChangeRimType, 7, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("SetRimType", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	
	-- car color menu -- Finished
	VehicleMenuGUI.createMenu("CarColor", "VehicleOptions", "~b~C~y~a~b~r ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Both Colors", VehicleMenuGUI.setActiveMenu, "Bothcolor", false, 0.35, 0) -- needs sub sub menu 1 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Primary Color", VehicleMenuGUI.setActiveMenu, "Primarycolor", false, 0.35, 0) -- needs sub sub menu 2 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Secondary Color", VehicleMenuGUI.setActiveMenu, "Secondarycolor", false, 0.35, 0) -- needs sub sub menu 3 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Both ColorTypes", VehicleMenuGUI.setActiveMenu, "Bothtype", false, 0.35, 0) -- needs sub sub menu 4 -- Finished	
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Primary ColorType", VehicleMenuGUI.setActiveMenu, "Primarytype", false, 0.35, 0) -- needs sub sub menu 4 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Secondary ColorType", VehicleMenuGUI.setActiveMenu, "Secondarytype", false, 0.35, 0) -- needs sub sub menu 5 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Rims Color", VehicleMenuGUI.setActiveMenu, "RimColor1", false, 0.35, 0) -- needs sub sub menu 4 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Pearl", VehicleMenuGUI.setActiveMenu, "PearlColor1", false, 0.35, 0) -- needs sub sub menu 4 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~y~Tire Smoke", VehicleMenuGUI.setActiveMenu, "TireSmokeColor", false, 0.35, 0) -- needs sub sub menu 4 -- Finished
	VehicleMenuGUI.addButton("CarColor", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	-- car neon menu -- Finished
	VehicleMenuGUI.createMenu("CarNeon", "VehicleOptions", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("CarNeon", "~h~~y~Set Color", VehicleMenuGUI.setActiveMenu, "Neoncolor", false, 0.35, 0) -- needs sub sub menu 6 -- Finished
	VehicleMenuGUI.addButton("CarNeon", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	-- Car Control menu -- Finished
	VehicleMenuGUI.createMenu("ControlCar", "VehicleOptions", "~b~C~y~a~b~r ~y~C~b~o~y~n~b~t~y~r~b~o~y~l~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ControlCar", "~h~~y~Doors", VehicleMenuGUI.setActiveMenu, "ControlCarDoors", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCar", "~h~~y~Tires", VehicleMenuGUI.setActiveMenu, "ControlCarTires", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCar", "~h~~y~Lights", VehicleMenuGUI.setActiveMenu, "ControlCarLights", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCar", "~h~~y~Windows", VehicleMenuGUI.setActiveMenu, "ControlCarWindows", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCar", "~h~~y~Other", VehicleMenuGUI.setActiveMenu, "ControlCarOther", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCar", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)


	-- End of Sub menus , Start of SUB SUB menus. Check at their main if finished 
	
	-- Pop Car tires
	VehicleMenuGUI.createMenu("ControlCarTires", "ControlCar", "~b~C~y~a~b~r ~y~T~b~i~y~r~b~e~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~All tires", VehicleOptions.CarPopAllTires, 0, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~Front Left", VehicleOptions.CarPopSingleTire, 0, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~Front Right", VehicleOptions.CarPopSingleTire, 1, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~Back Left", VehicleOptions.CarPopSingleTire, 2, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~Back Right", VehicleOptions.CarPopSingleTire, 3, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~Optional 1", VehicleOptions.CarPopSingleTire, 4, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~y~Optional 2", VehicleOptions.CarPopSingleTire, 5, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarTires", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Open/close Car Doors
	VehicleMenuGUI.createMenu("OpenCloseDoors", "ControlCarDoors", "~b~C~y~a~b~r ~y~D~b~o~y~o~b~r~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Front Left", VehicleOptions.OpenCloseDoors, 0, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Front Right", VehicleOptions.OpenCloseDoors, 1, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Back Left", VehicleOptions.OpenCloseDoors, 2, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Back Right", VehicleOptions.OpenCloseDoors, 3, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Hood", VehicleOptions.OpenCloseDoors, 4, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Trunk", VehicleOptions.OpenCloseDoors, 5, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~y~Trunk 2", VehicleOptions.OpenCloseDoors, 6, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("OpenCloseDoors", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	-- Lock/Unlock Car Doors
	VehicleMenuGUI.createMenu("LockUnlockDoors", "ControlCarDoors", "~b~C~y~a~b~r ~y~D~b~o~y~o~b~r~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Front Left", VehicleOptions.LockUnlockDoors, 0, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Front Right", VehicleOptions.LockUnlockDoors, 1, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Back Left", VehicleOptions.LockUnlockDoors, 2, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Back Right", VehicleOptions.LockUnlockDoors, 3, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Hood", VehicleOptions.LockUnlockDoors, 4, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Trunk", VehicleOptions.LockUnlockDoors, 5, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~y~Trunk 2", VehicleOptions.LockUnlockDoors, 6, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("LockUnlockDoors", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Break/Fix Car Doors
	VehicleMenuGUI.createMenu("BreakFixDoors", "ControlCarDoors", "~b~C~y~a~b~r ~y~D~b~o~y~o~b~r~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Front Left", VehicleOptions.BreakFixDoors, 0, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Front Right", VehicleOptions.BreakFixDoors, 1, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Back Left", VehicleOptions.BreakFixDoors, 2, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Back Right", VehicleOptions.BreakFixDoors, 3, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Hood", VehicleOptions.BreakFixDoors, 4, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Trunk", VehicleOptions.BreakFixDoors, 5, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~y~Trunk 2", VehicleOptions.BreakFixDoors, 6, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("BreakFixDoors", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Car Control Doors
	VehicleMenuGUI.createMenu("ControlCarDoors", "ControlCar", "~b~C~y~a~b~r ~y~D~b~o~y~o~b~r~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ControlCarDoors", "~h~~y~Open/Close", VehicleMenuGUI.setActiveMenu, "OpenCloseDoors", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarDoors", "~h~~y~Lock/Unlock", VehicleMenuGUI.setActiveMenu, "LockUnlockDoors", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarDoors", "~h~~y~Break/Fix", VehicleMenuGUI.setActiveMenu, "BreakFixDoors", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarDoors", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Car Control Lights
	VehicleMenuGUI.createMenu("ControlCarLights", "ControlCar", "~b~C~y~a~b~r ~y~L~b~i~y~g~b~h~y~t~b~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~Emergency", VehicleOptions.LightsEmergency, nil, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~Interior Light", VehicleOptions.LightsInterior, nil, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~All Lights", VehicleOptions.LightsAll, nil, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~Indicators", VehicleOptions.LightsIndicators, nil, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~Extra Lights", VehicleOptions.LightsExtra, nil, true, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~Lower Brightness", VehicleOptions.LightsLower, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~y~Raise Brightness", VehicleOptions.LightsRaise, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarLights", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Car Control Windows 
	VehicleMenuGUI.createMenu("ControlCarWindows", "ControlCar", "~b~C~y~a~b~r ~y~W~b~i~y~n~b~d~y~o~b~w~y~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ControlCarWindows", "~h~~y~Front Left", VehicleOptions.WindowFrontRight, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarWindows", "~h~~y~Front Right", VehicleOptions.WindowFrontLeft, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarWindows", "~h~~y~Back Left", VehicleOptions.WindowBackRight, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarWindows", "~h~~y~Back Right", VehicleOptions.WindowBackLeft, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarWindows", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Car Control Other
	VehicleMenuGUI.createMenu("ControlCarOther", "ControlCar", "~b~C~y~a~b~r ~y~O~b~t~y~h~b~e~y~r~b~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("ControlCarOther", "~h~~y~Engine", VehicleOptions.CarEngineToggle, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarOther", "~h~~y~Alarm", VehicleOptions.CarAlarmToggle, nil, true, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarOther", "~h~~y~Activate Alarm", VehicleOptions.CarAlarmActivate, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("ControlCarOther", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	-- Tire Smoke
	--TireSmokeColor 1
	VehicleMenuGUI.createMenu("TireSmokeColor", "CarColor", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor2", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~maroon", VehicleOptions.TyremaroonPaint, nil, false, 0.35, 0)	  -- Finished				
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~darkred", VehicleOptions.TyredarkredPaint, nil, false, 0.35, 0)	 -- Finished				
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~brown", VehicleOptions.TyrebrownPaint, nil, false, 0.35, 0)	 		-- Finished		
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~firebrick", VehicleOptions.TyrefirebrickPaint, nil, false, 0.35, 0)	 	-- Finished		
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~crimson", VehicleOptions.TyrecrimsonPaint, nil, false, 0.35, 0)	-- Finished 				
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~red", VehicleOptions.TyreredPaint, nil, false, 0.35, 0)	 		-- Finished			
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~tomato", VehicleOptions.TyretomatoPaint, nil, false, 0.35, 0)	 -- Finished				
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~coral", VehicleOptions.TyrecoralPaint, nil, false, 0.35, 0)			-- Finished		
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~indianred", VehicleOptions.TyreindianredPaint, nil, false, 0.35, 0)	 		-- Finished	
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~y~lightcoral", VehicleOptions.TyrelightcoralPaint, nil, false, 0.35, 0)	 	-- Finished		
	VehicleMenuGUI.addButton("TireSmokeColor", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 2
	VehicleMenuGUI.createMenu("TireSmokeColor2", "TireSmokeColor", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor3", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~darksalmon", VehicleOptions.TyredarksalmonPaint, nil, false, 0.35, 0)	 		-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~salmon", VehicleOptions.TyresalmonPaint, nil, false, 0.35, 0)	 			-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~lightsalmon", VehicleOptions.TyrelightsalmonPaint, nil, false, 0.35, 0)	 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~orangered", VehicleOptions.TyreorangeredPaint, nil, false, 0.35, 0)			-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~darkorange", VehicleOptions.TyredarkorangePaint, nil, false, 0.35, 0)		-- Finished	
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~orange", VehicleOptions.TyreorangePaint, nil, false, 0.35, 0)	 		-- Finished	
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~gold", VehicleOptions.TyregoldPaint, nil, false, 0.35, 0)	 			-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~darkgoldenrod", VehicleOptions.TyredarkgoldenrodPaint, nil, false, 0.35, 0)		-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~goldenrod", VehicleOptions.TyregoldenrodPaint, nil, false, 0.35, 0)			-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~y~palegoldenrod", VehicleOptions.TyrepalegoldenrodPaint, nil, false, 0.35, 0)		-- Finished  
	VehicleMenuGUI.addButton("TireSmokeColor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 3
	VehicleMenuGUI.createMenu("TireSmokeColor3", "TireSmokeColor2", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor4", false, 0.35, 0) -- Finished
  	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~darkkhaki", VehicleOptions.TyredarkkhakiPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~khaki", VehicleOptions.TyrekhakiPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~olive", VehicleOptions.TyreolivePaint, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~yellow", VehicleOptions.TyreyellowPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~yellowgreen", VehicleOptions.TyreyellowgreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~darkolivegreen", VehicleOptions.TyredarkolivegreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~olivedrab", VehicleOptions.TyreolibedrabPaint, nil, false, 0.35, 0)		-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~lawngreen", VehicleOptions.TyrelawngreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~chartreuse", VehicleOptions.TyrechartreusePaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~y~greenyellow", VehicleOptions.TyregreenyellowPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 4	
	VehicleMenuGUI.createMenu("TireSmokeColor4", "TireSmokeColor3", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor5", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~darkgreen", VehicleOptions.TyredarkgreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~green", VehicleOptions.TyregreenPaint, nil, false, 0.35, 0) 		-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~forestgreen", VehicleOptions.TyreforestgreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~lime", VehicleOptions.TyrelimePaint, nil, false, 0.35, 0) 		-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~limegreen", VehicleOptions.TyrelimegreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~lightgreen", VehicleOptions.TyrelightgreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~palegreen", VehicleOptions.TyrepalegreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~darkseagreen", VehicleOptions.TyredarkseagreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~springgreen", VehicleOptions.TyrespringgreenPaint, nil, false, 0.35, 0)		-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~y~springgreen2", VehicleOptions.TyrespringgreenPaint2, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("TireSmokeColor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 5	
	VehicleMenuGUI.createMenu("TireSmokeColor5", "TireSmokeColor4", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~5~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~seagreen", VehicleOptions.TyreseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~aquamarine", VehicleOptions.TyreaquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~mediumseagreen", VehicleOptions.TyremediumseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~lightseagreen", VehicleOptions.TyrelightseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~darkslategray", VehicleOptions.TyredarkslategrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~teal", VehicleOptions.TyretealPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~darkcyan", VehicleOptions.TyredarkcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~aqua", VehicleOptions.TyreaquaPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~cyan", VehicleOptions.TyrecyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~y~lightcyan", VehicleOptions.TyrelightcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 6	
	VehicleMenuGUI.createMenu("TireSmokeColor6", "TireSmokeColor5", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~6~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~darkturquoise", VehicleOptions.TyredarkturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~turquoise", VehicleOptions.TyreturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~mediumturquoise", VehicleOptions.TyremediumturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~paleturquoise", VehicleOptions.TyrepaleturquoisePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~aquamarine", VehicleOptions.aquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~powderblue", VehicleOptions.TyrepowderbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~cadetblue", VehicleOptions.TyrecadetbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~steelblue", VehicleOptions.TyresteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~cornflowerblue", VehicleOptions.TyrecornflowerbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~y~deepskyblue", VehicleOptions.TyredeepskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 7	
	VehicleMenuGUI.createMenu("TireSmokeColor7", "TireSmokeColor6", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~7~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~dodgerblue", VehicleOptions.TyredodgerbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~lightblue", VehicleOptions.TyrelightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~skyblue", VehicleOptions.TyreskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~lightskyblue", VehicleOptions.TyrelightskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~midnightblue", VehicleOptions.TyremidnightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~navy", VehicleOptions.TyrenavyPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~darkblue", VehicleOptions.TyredarkbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~mediumblue", VehicleOptions.TyremediumbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~blue", VehicleOptions.TyrebluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~y~royalblue", VehicleOptions.TyreroyalbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 8	
	VehicleMenuGUI.createMenu("TireSmokeColor8", "TireSmokeColor7", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~8~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~blueviolet", VehicleOptions.TyrebluevioletPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~indigo", VehicleOptions.TyreindigoPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~darkslateblue", VehicleOptions.TyredarkslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~slateblue", VehicleOptions.TyreslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~mediumslateblue", VehicleOptions.TyremediumslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~mediumpurple", VehicleOptions.TyremediumpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~darkmagenta", VehicleOptions.TyredarkmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~darkviolet", VehicleOptions.TyredarkvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~darkorchid", VehicleOptions.TyredarkorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~y~mediumorchid", VehicleOptions.TyremediumorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 9	
	VehicleMenuGUI.createMenu("TireSmokeColor9", "TireSmokeColor8", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~9~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~purple", VehicleOptions.TyrepurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~thistle", VehicleOptions.TyrethistlePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~plum", VehicleOptions.TyreplumPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~violet", VehicleOptions.TyrevioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~magenta", VehicleOptions.TyremagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~orchid", VehicleOptions.TyreorchidPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~mediumvioletred", VehicleOptions.TyremediumvioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~palevioletred", VehicleOptions.TyrepalevioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~deeppink", VehicleOptions.TyredeeppinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~y~hotpink", VehicleOptions.TyrehotpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)		
	
	--TireSmokeColor 10	
	VehicleMenuGUI.createMenu("TireSmokeColor10", "TireSmokeColor9", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~1~y~0~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~lightpink", VehicleOptions.TyrelightpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~pink", VehicleOptions.TyrepinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~antiquewhite", VehicleOptions.TyreantiquewhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~beige", VehicleOptions.TyrebeigePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~bisque", VehicleOptions.TyrebisquePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~blanchedalmond", VehicleOptions.TyreblanchedalmondPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~wheat", VehicleOptions.TyrewheatPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~cornsilk", VehicleOptions.TyrecornsilkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~lemonchiffon", VehicleOptions.TyrelemonchiffonPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~y~lightgoldenrod", VehicleOptions.TyrelightgoldenrodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 11	
	VehicleMenuGUI.createMenu("TireSmokeColor11", "TireSmokeColor10", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~1~y~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~lightyellow", VehicleOptions.TyrelightyellowPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~saddlebrown", VehicleOptions.TyresaddlebrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~sienna", VehicleOptions.TyresiennaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~chocolate", VehicleOptions.TyrechocolatePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~peru", VehicleOptions.TyreperuPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~sandybrown", VehicleOptions.TyresandybrownPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~burlywood", VehicleOptions.TyreburlywoodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~tan", VehicleOptions.TyretanPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~rosybrown", VehicleOptions.TyrerosybrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~y~moccasin", VehicleOptions.TyremoccasinPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--TireSmokeColor 12	
	VehicleMenuGUI.createMenu("TireSmokeColor12", "TireSmokeColor11", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~1~y~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~navajowhite", VehicleOptions.TyrenavajowhitePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~peachpuff", VehicleOptions.TyrepeachpuffPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~mistyrose", VehicleOptions.TyremistyrosePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~lavenderblush", VehicleOptions.TyrelavenderblushPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~linen", VehicleOptions.TyrelinenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~oldlace", VehicleOptions.TyreoldlacePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~papayawhip", VehicleOptions.TyrepapayawhipPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~seashell", VehicleOptions.TyreseashellPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~mintcream", VehicleOptions.TyremintcreamPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~y~slategray", VehicleOptions.TyreslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--TireSmokeColor 13	
	VehicleMenuGUI.createMenu("TireSmokeColor13", "TireSmokeColor12", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~1~y~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "TireSmokeColor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~lightslategray", VehicleOptions.TyrelightslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~lightsteelblue", VehicleOptions.TyrelightsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~lavender", VehicleOptions.TyrelavenderPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~floralwhite", VehicleOptions.TyrefloralwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~aliceblue", VehicleOptions.TyrealicebluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~ghostwhite", VehicleOptions.TyreghostwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~honeydew", VehicleOptions.TyrehoneydewPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~ivory", VehicleOptions.TyreivoryPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~azure", VehicleOptions.TyreazurePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~y~snow", VehicleOptions.TyresnowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	--TireSmokeColor 14
	VehicleMenuGUI.createMenu("TireSmokeColor14", "TireSmokeColor13", "~b~T~y~i~b~r~y~e ~b~S~y~m~b~o~y~k~b~e~b~1~y~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "TireSmokeColor", false, 0.35, 0)
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~black", VehicleOptions.TyreblackPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~dimgray", VehicleOptions.TyredimgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~gray", VehicleOptions.TyregrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~darkgray", VehicleOptions.TyredarkgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~silver", VehicleOptions.TyresilverPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~lightgray", VehicleOptions.TyrelightgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~gainsboro", VehicleOptions.TyregainsboroPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~whitesmoke", VehicleOptions.TyrewhitesmokePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~y~white", VehicleOptions.TyrewhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("TireSmokeColor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	
	-- Rims and Pearl
	
	VehicleMenuGUI.createMenu("RimColor1", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor2", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Black", VehicleOptions.SetRimColor, 0, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Graphite", VehicleOptions.SetRimColor, 1, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Black Steel", VehicleOptions.SetRimColor, 2, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Dark Steel", VehicleOptions.SetRimColor, 3, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Silver", VehicleOptions.SetRimColor, 4, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Blueish Silver", VehicleOptions.SetRimColor, 5, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Rolled Steel", VehicleOptions.SetRimColor, 6, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Shadow Silver", VehicleOptions.SetRimColor, 7, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Stone Silver", VehicleOptions.SetRimColor, 8, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~y~Midnight Silver", VehicleOptions.SetRimColor, 9, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor1", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	VehicleMenuGUI.createMenu("RimColor2", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor3", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Cast Iron", VehicleOptions.SetRimColor, 10, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Anthracite", VehicleOptions.SetRimColor, 11, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Matte Black", VehicleOptions.SetRimColor, 12, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Matte Gray", VehicleOptions.SetRimColor, 13, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Light Gray", VehicleOptions.SetRimColor, 14, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Black", VehicleOptions.SetRimColor, 15, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Black Poly", VehicleOptions.SetRimColor, 16, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Dark Silver", VehicleOptions.SetRimColor, 17, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Silver", VehicleOptions.SetRimColor, 18, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~y~Gun Metal", VehicleOptions.SetRimColor, 19, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	VehicleMenuGUI.createMenu("RimColor3", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor4", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Shadow Silver", VehicleOptions.SetRimColor, 20, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Black", VehicleOptions.SetRimColor, 21, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Graphite", VehicleOptions.SetRimColor, 22, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Silver Grey", VehicleOptions.SetRimColor, 23, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Silver", VehicleOptions.SetRimColor, 24, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Blue Silver", VehicleOptions.SetRimColor, 25, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Shadow Silver", VehicleOptions.SetRimColor, 26, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Red", VehicleOptions.SetRimColor, 27, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Torino Red", VehicleOptions.SetRimColor, 28, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~y~Formula Red", VehicleOptions.SetRimColor, 29, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor4", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor5", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Blaze Red", VehicleOptions.SetRimColor, 30, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Grace Red", VehicleOptions.SetRimColor, 31, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Garnet Red", VehicleOptions.SetRimColor, 32, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Sunset Red", VehicleOptions.SetRimColor, 33, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Cabernet Red", VehicleOptions.SetRimColor, 34, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Candy Red", VehicleOptions.SetRimColor, 35, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Sunrise Orange", VehicleOptions.SetRimColor, 36, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Gold", VehicleOptions.SetRimColor, 37, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Orange", VehicleOptions.SetRimColor, 38, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~y~Red", VehicleOptions.SetRimColor, 39, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor5", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Dark Red", VehicleOptions.SetRimColor, 40, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Orange", VehicleOptions.SetRimColor, 41, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Yellow", VehicleOptions.SetRimColor, 42, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Red", VehicleOptions.SetRimColor, 43, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Bright Red", VehicleOptions.SetRimColor, 44, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Garnet Red", VehicleOptions.SetRimColor, 45, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Red", VehicleOptions.SetRimColor, 46, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Golden Red", VehicleOptions.SetRimColor, 47, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Dark Red", VehicleOptions.SetRimColor, 48, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~y~Dark Green", VehicleOptions.SetRimColor, 49, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor6", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Racing Green", VehicleOptions.SetRimColor, 50, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Sea Green", VehicleOptions.SetRimColor, 51, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Olive Green", VehicleOptions.SetRimColor, 52, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Bright Green", VehicleOptions.SetRimColor, 53, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Gasoline Green", VehicleOptions.SetRimColor, 54, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Lime Green", VehicleOptions.SetRimColor, 55, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Dark Green", VehicleOptions.SetRimColor, 56, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Green", VehicleOptions.SetRimColor, 57, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Sea Wash", VehicleOptions.SetRimColor, 58, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~y~Midnight Blue", VehicleOptions.SetRimColor, 59, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor7", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Dark Blue", VehicleOptions.SetRimColor, 60, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Galaxy Blue", VehicleOptions.SetRimColor, 61, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Dark Blue", VehicleOptions.SetRimColor, 62, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Saxon Blue", VehicleOptions.SetRimColor, 63, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Blue", VehicleOptions.SetRimColor, 64, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Mariner Blue", VehicleOptions.SetRimColor, 65, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Harbor Blue", VehicleOptions.SetRimColor, 66, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Diamond Blue", VehicleOptions.SetRimColor, 67, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Surf Blue", VehicleOptions.SetRimColor, 68, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~y~Nautical Blue", VehicleOptions.SetRimColor, 69, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor8", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Ultra Blue", VehicleOptions.SetRimColor, 70, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Schafter Purple", VehicleOptions.SetRimColor, 71, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Ultra Blue", VehicleOptions.SetRimColor, 72, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Racing Blue", VehicleOptions.SetRimColor, 73, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Light Blue", VehicleOptions.SetRimColor, 74, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Midnight Blue", VehicleOptions.SetRimColor, 75, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Blue", VehicleOptions.SetRimColor, 76, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Sea foam Blue", VehicleOptions.SetRimColor, 77, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Lightning Blue", VehicleOptions.SetRimColor, 78, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~y~Maui Blue", VehicleOptions.SetRimColor, 79, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor9", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Bright Blue", VehicleOptions.SetRimColor, 80, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Slate Blue", VehicleOptions.SetRimColor, 81, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Dark Blue", VehicleOptions.SetRimColor, 82, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Blue", VehicleOptions.SetRimColor, 83, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Midnight Blue", VehicleOptions.SetRimColor, 84, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Dark Blue", VehicleOptions.SetRimColor, 85, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Blue", VehicleOptions.SetRimColor, 86, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Baby Blue", VehicleOptions.SetRimColor, 87, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Yellow", VehicleOptions.SetRimColor, 88, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~y~Race Yellow", VehicleOptions.SetRimColor, 89, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor10", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Bronze", VehicleOptions.SetRimColor, 90, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Dew Yellow", VehicleOptions.SetRimColor, 91, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Lime", VehicleOptions.SetRimColor, 92, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Champagne", VehicleOptions.SetRimColor, 93, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Feltzer Brown", VehicleOptions.SetRimColor, 94, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Creek Brown", VehicleOptions.SetRimColor, 95, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Chocolate Brown", VehicleOptions.SetRimColor, 96, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Maple Brown", VehicleOptions.SetRimColor, 97, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Saddle Brown", VehicleOptions.SetRimColor, 98, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~y~Straw Brown", VehicleOptions.SetRimColor, 99, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor11", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Moss Brown", VehicleOptions.SetRimColor, 100, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Bison Brown", VehicleOptions.SetRimColor, 101, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Woodbeech Brown", VehicleOptions.SetRimColor, 102, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Beechwood Brown", VehicleOptions.SetRimColor, 103, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Straw Brown", VehicleOptions.SetRimColor, 104, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Sandy Brown", VehicleOptions.SetRimColor, 105, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Bleached Brown", VehicleOptions.SetRimColor, 106, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Cream", VehicleOptions.SetRimColor, 107, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Brown", VehicleOptions.SetRimColor, 108, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~y~Medium Brown", VehicleOptions.SetRimColor, 109, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	VehicleMenuGUI.createMenu("RimColor12", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Light Brown", VehicleOptions.SetRimColor, 110, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Ice White", VehicleOptions.SetRimColor, 111, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Frost White", VehicleOptions.SetRimColor, 112, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Honey Beige", VehicleOptions.SetRimColor, 113, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Brown", VehicleOptions.SetRimColor, 114, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Dark Brown", VehicleOptions.SetRimColor, 115, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Straw Beige", VehicleOptions.SetRimColor, 116, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Steel", VehicleOptions.SetRimColor, 117, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Black Steel", VehicleOptions.SetRimColor, 118, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~y~Alluminum", VehicleOptions.SetRimColor, 119, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor13", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Chrome", VehicleOptions.SetRimColor, 120, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Off-White", VehicleOptions.SetRimColor, 121, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Off-White", VehicleOptions.SetRimColor, 122, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Orange", VehicleOptions.SetRimColor, 123, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Light Orange", VehicleOptions.SetRimColor, 124, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Pea Green", VehicleOptions.SetRimColor, 125, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Taxi Yellow", VehicleOptions.SetRimColor, 126, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Police Blue", VehicleOptions.SetRimColor, 127, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Green", VehicleOptions.SetRimColor, 128, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~y~Brown", VehicleOptions.SetRimColor, 129, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor14", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor15", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Orange", VehicleOptions.SetRimColor, 130, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Ice White", VehicleOptions.SetRimColor, 131, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~White", VehicleOptions.SetRimColor, 132, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Army Green", VehicleOptions.SetRimColor, 133, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Pure White", VehicleOptions.SetRimColor, 134, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Hot Pink", VehicleOptions.SetRimColor, 135, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Salmon Pink", VehicleOptions.SetRimColor, 136, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Pfister Pink", VehicleOptions.SetRimColor, 137, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Bright Orange", VehicleOptions.SetRimColor, 138, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~y~Green", VehicleOptions.SetRimColor, 139, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor15", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "RimColor16", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Flourescent Blue", VehicleOptions.SetRimColor, 140, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Midnight Blue", VehicleOptions.SetRimColor, 141, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Midnight Purple", VehicleOptions.SetRimColor, 142, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Wine Red", VehicleOptions.SetRimColor, 143, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Hunter Green", VehicleOptions.SetRimColor, 144, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Bright Purple", VehicleOptions.SetRimColor, 145, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Midnight Purple", VehicleOptions.SetRimColor, 146, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Carbon Black", VehicleOptions.SetRimColor, 147, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Purple", VehicleOptions.SetRimColor, 148, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~y~Dark Purple", VehicleOptions.SetRimColor, 149, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor15", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("RimColor16", "CarColor", "~b~R~y~i~b~m ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "RimColor1", false, 0.35, 0)
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Lava Red", VehicleOptions.SetRimColor, 150, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Olive Green", VehicleOptions.SetRimColor, 151, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Olive Drab", VehicleOptions.SetRimColor, 152, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Dark Earth", VehicleOptions.SetRimColor, 153, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Desert Tan", VehicleOptions.SetRimColor, 154, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Foilage Green", VehicleOptions.SetRimColor, 155, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Default Alloy", VehicleOptions.SetRimColor, 156, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Epsilon Blue", VehicleOptions.SetRimColor, 157, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Pure Gold", VehicleOptions.SetRimColor, 158, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Brushed Gold", VehicleOptions.SetRimColor, 159, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~y~Secret Gold", VehicleOptions.SetRimColor, 160, false, 0.35, 0) 
	VehicleMenuGUI.addButton("RimColor16", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor1", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor2", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Black", VehicleOptions.SetPearlColor, 0, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Graphite", VehicleOptions.SetPearlColor, 1, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Black Steel", VehicleOptions.SetPearlColor, 2, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Dark Steel", VehicleOptions.SetPearlColor, 3, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Silver", VehicleOptions.SetPearlColor, 4, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Blueish Silver", VehicleOptions.SetPearlColor, 5, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Rolled Steel", VehicleOptions.SetPearlColor, 6, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Shadow Silver", VehicleOptions.SetPearlColor, 7, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Stone Silver", VehicleOptions.SetPearlColor, 8, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~y~Midnight Silver", VehicleOptions.SetPearlColor, 9, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor1", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	VehicleMenuGUI.createMenu("PearlColor2", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor3", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Cast Iron", VehicleOptions.SetPearlColor, 10, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Anthracite", VehicleOptions.SetPearlColor, 11, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Matte Black", VehicleOptions.SetPearlColor, 12, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Matte Gray", VehicleOptions.SetPearlColor, 13, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Light Gray", VehicleOptions.SetPearlColor, 14, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Black", VehicleOptions.SetPearlColor, 15, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Black Poly", VehicleOptions.SetPearlColor, 16, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Dark Silver", VehicleOptions.SetPearlColor, 17, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Silver", VehicleOptions.SetPearlColor, 18, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~y~Gun Metal", VehicleOptions.SetPearlColor, 19, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	VehicleMenuGUI.createMenu("PearlColor3", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor4", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Shadow Silver", VehicleOptions.SetPearlColor, 20, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Black", VehicleOptions.SetPearlColor, 21, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Graphite", VehicleOptions.SetPearlColor, 22, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Silver Grey", VehicleOptions.SetPearlColor, 23, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Silver", VehicleOptions.SetPearlColor, 24, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Blue Silver", VehicleOptions.SetPearlColor, 25, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Shadow Silver", VehicleOptions.SetPearlColor, 26, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Red", VehicleOptions.SetPearlColor, 27, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Torino Red", VehicleOptions.SetPearlColor, 28, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~y~Formula Red", VehicleOptions.SetPearlColor, 29, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor4", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor5", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Blaze Red", VehicleOptions.SetPearlColor, 30, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Grace Red", VehicleOptions.SetPearlColor, 31, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Garnet Red", VehicleOptions.SetPearlColor, 32, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Sunset Red", VehicleOptions.SetPearlColor, 33, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Cabernet Red", VehicleOptions.SetPearlColor, 34, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Candy Red", VehicleOptions.SetPearlColor, 35, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Sunrise Orange", VehicleOptions.SetPearlColor, 36, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Gold", VehicleOptions.SetPearlColor, 37, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Orange", VehicleOptions.SetPearlColor, 38, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~y~Red", VehicleOptions.SetPearlColor, 39, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor5", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Dark Red", VehicleOptions.SetPearlColor, 40, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Orange", VehicleOptions.SetPearlColor, 41, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Yellow", VehicleOptions.SetPearlColor, 42, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Red", VehicleOptions.SetPearlColor, 43, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Bright Red", VehicleOptions.SetPearlColor, 44, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Garnet Red", VehicleOptions.SetPearlColor, 45, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Red", VehicleOptions.SetPearlColor, 46, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Golden Red", VehicleOptions.SetPearlColor, 47, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Dark Red", VehicleOptions.SetPearlColor, 48, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~y~Dark Green", VehicleOptions.SetPearlColor, 49, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor6", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Racing Green", VehicleOptions.SetPearlColor, 50, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Sea Green", VehicleOptions.SetPearlColor, 51, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Olive Green", VehicleOptions.SetPearlColor, 52, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Bright Green", VehicleOptions.SetPearlColor, 53, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Gasoline Green", VehicleOptions.SetPearlColor, 54, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Lime Green", VehicleOptions.SetPearlColor, 55, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Dark Green", VehicleOptions.SetPearlColor, 56, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Green", VehicleOptions.SetPearlColor, 57, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Sea Wash", VehicleOptions.SetPearlColor, 58, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~y~Midnight Blue", VehicleOptions.SetPearlColor, 59, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor7", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Dark Blue", VehicleOptions.SetPearlColor, 60, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Galaxy Blue", VehicleOptions.SetPearlColor, 61, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Dark Blue", VehicleOptions.SetPearlColor, 62, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Saxon Blue", VehicleOptions.SetPearlColor, 63, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Blue", VehicleOptions.SetPearlColor, 64, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Mariner Blue", VehicleOptions.SetPearlColor, 65, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Harbor Blue", VehicleOptions.SetPearlColor, 66, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Diamond Blue", VehicleOptions.SetPearlColor, 67, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Surf Blue", VehicleOptions.SetPearlColor, 68, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~y~Nautical Blue", VehicleOptions.SetPearlColor, 69, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor8", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Ultra Blue", VehicleOptions.SetPearlColor, 70, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Schafter Purple", VehicleOptions.SetPearlColor, 71, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Ultra Blue", VehicleOptions.SetPearlColor, 72, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Racing Blue", VehicleOptions.SetPearlColor, 73, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Light Blue", VehicleOptions.SetPearlColor, 74, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Midnight Blue", VehicleOptions.SetPearlColor, 75, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Blue", VehicleOptions.SetPearlColor, 76, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Sea foam Blue", VehicleOptions.SetPearlColor, 77, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Lightning Blue", VehicleOptions.SetPearlColor, 78, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~y~Maui Blue", VehicleOptions.SetPearlColor, 79, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor9", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Bright Blue", VehicleOptions.SetPearlColor, 80, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Slate Blue", VehicleOptions.SetPearlColor, 81, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Dark Blue", VehicleOptions.SetPearlColor, 82, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Blue", VehicleOptions.SetPearlColor, 83, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Midnight Blue", VehicleOptions.SetPearlColor, 84, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Dark Blue", VehicleOptions.SetPearlColor, 85, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Blue", VehicleOptions.SetPearlColor, 86, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Baby Blue", VehicleOptions.SetPearlColor, 87, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Yellow", VehicleOptions.SetPearlColor, 88, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~y~Race Yellow", VehicleOptions.SetPearlColor, 89, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor10", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Bronze", VehicleOptions.SetPearlColor, 90, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Dew Yellow", VehicleOptions.SetPearlColor, 91, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Lime", VehicleOptions.SetPearlColor, 92, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Champagne", VehicleOptions.SetPearlColor, 93, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Feltzer Brown", VehicleOptions.SetPearlColor, 94, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Creek Brown", VehicleOptions.SetPearlColor, 95, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Chocolate Brown", VehicleOptions.SetPearlColor, 96, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Maple Brown", VehicleOptions.SetPearlColor, 97, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Saddle Brown", VehicleOptions.SetPearlColor, 98, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~y~Straw Brown", VehicleOptions.SetPearlColor, 99, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor11", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Moss Brown", VehicleOptions.SetPearlColor, 100, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Bison Brown", VehicleOptions.SetPearlColor, 101, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Woodbeech Brown", VehicleOptions.SetPearlColor, 102, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Beechwood Brown", VehicleOptions.SetPearlColor, 103, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Straw Brown", VehicleOptions.SetPearlColor, 104, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Sandy Brown", VehicleOptions.SetPearlColor, 105, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Bleached Brown", VehicleOptions.SetPearlColor, 106, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Cream", VehicleOptions.SetPearlColor, 107, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Brown", VehicleOptions.SetPearlColor, 108, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~y~Medium Brown", VehicleOptions.SetPearlColor, 109, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	VehicleMenuGUI.createMenu("PearlColor12", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Light Brown", VehicleOptions.SetPearlColor, 110, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Ice White", VehicleOptions.SetPearlColor, 111, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Frost White", VehicleOptions.SetPearlColor, 112, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Honey Beige", VehicleOptions.SetPearlColor, 113, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Brown", VehicleOptions.SetPearlColor, 114, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Dark Brown", VehicleOptions.SetPearlColor, 115, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Straw Beige", VehicleOptions.SetPearlColor, 116, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Steel", VehicleOptions.SetPearlColor, 117, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Black Steel", VehicleOptions.SetPearlColor, 118, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~y~Alluminum", VehicleOptions.SetPearlColor, 119, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor13", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Chrome", VehicleOptions.SetPearlColor, 120, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Off-White", VehicleOptions.SetPearlColor, 121, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Off-White", VehicleOptions.SetPearlColor, 122, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Orange", VehicleOptions.SetPearlColor, 123, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Light Orange", VehicleOptions.SetPearlColor, 124, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Pea Green", VehicleOptions.SetPearlColor, 125, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Taxi Yellow", VehicleOptions.SetPearlColor, 126, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Police Blue", VehicleOptions.SetPearlColor, 127, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Green", VehicleOptions.SetPearlColor, 128, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~y~Brown", VehicleOptions.SetPearlColor, 129, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor14", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor15", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Orange", VehicleOptions.SetPearlColor, 130, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Ice White", VehicleOptions.SetPearlColor, 131, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~White", VehicleOptions.SetPearlColor, 132, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Army Green", VehicleOptions.SetPearlColor, 133, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Pure White", VehicleOptions.SetPearlColor, 134, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Hot Pink", VehicleOptions.SetPearlColor, 135, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Salmon Pink", VehicleOptions.SetPearlColor, 136, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Pfister Pink", VehicleOptions.SetPearlColor, 137, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Bright Orange", VehicleOptions.SetPearlColor, 138, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~y~Green", VehicleOptions.SetPearlColor, 139, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor15", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "PearlColor16", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Flourescent Blue", VehicleOptions.SetPearlColor, 140, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Midnight Blue", VehicleOptions.SetPearlColor, 141, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Midnight Purple", VehicleOptions.SetPearlColor, 142, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Wine Red", VehicleOptions.SetPearlColor, 143, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Hunter Green", VehicleOptions.SetPearlColor, 144, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Bright Purple", VehicleOptions.SetPearlColor, 145, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Midnight Purple", VehicleOptions.SetPearlColor, 146, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Carbon Black", VehicleOptions.SetPearlColor, 147, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Purple", VehicleOptions.SetPearlColor, 148, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~y~Dark Purple", VehicleOptions.SetPearlColor, 149, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor15", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)

	VehicleMenuGUI.createMenu("PearlColor16", "CarColor", "~b~P~y~e~b~a~y~r~b~l ~y~C~b~o~y~l~b~o~y~r~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "PearlColor1", false, 0.35, 0)
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Lava Red", VehicleOptions.SetPearlColor, 150, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Olive Green", VehicleOptions.SetPearlColor, 151, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Olive Drab", VehicleOptions.SetPearlColor, 152, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Dark Earth", VehicleOptions.SetPearlColor, 153, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Desert Tan", VehicleOptions.SetPearlColor, 154, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Foilage Green", VehicleOptions.SetPearlColor, 155, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Default Alloy", VehicleOptions.SetPearlColor, 156, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Epsilon Blue", VehicleOptions.SetPearlColor, 157, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Pure Gold", VehicleOptions.SetPearlColor, 158, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Brushed Gold", VehicleOptions.SetPearlColor, 159, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~y~Secret Gold", VehicleOptions.SetPearlColor, 160, false, 0.35, 0) 
	VehicleMenuGUI.addButton("PearlColor16", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--Both Colors paint Bcolor 1
	VehicleMenuGUI.createMenu("Bothcolor", "CarColor", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor2", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~maroon", VehicleOptions.BmaroonPaint, nil, false, 0.35, 0)	  -- Finished				
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~darkred", VehicleOptions.BdarkredPaint, nil, false, 0.35, 0)	 -- Finished				
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~brown", VehicleOptions.BbrownPaint, nil, false, 0.35, 0)	 		-- Finished		
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~firebrick", VehicleOptions.BfirebrickPaint, nil, false, 0.35, 0)	 	-- Finished		
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~crimson", VehicleOptions.BcrimsonPaint, nil, false, 0.35, 0)	-- Finished 				
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~red", VehicleOptions.BredPaint, nil, false, 0.35, 0)	 		-- Finished			
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~tomato", VehicleOptions.BtomatoPaint, nil, false, 0.35, 0)	 -- Finished				
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~coral", VehicleOptions.BcoralPaint, nil, false, 0.35, 0)			-- Finished		
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~indianred", VehicleOptions.BindianredPaint, nil, false, 0.35, 0)	 		-- Finished	
	VehicleMenuGUI.addButton("Bothcolor", "~h~~y~lightcoral", VehicleOptions.BlightcoralPaint, nil, false, 0.35, 0)	 	-- Finished		
	VehicleMenuGUI.addButton("Bothcolor", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 2
	VehicleMenuGUI.createMenu("Bothcolor2", "Bothcolor", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor3", false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~darksalmon", VehicleOptions.BdarksalmonPaint, nil, false, 0.35, 0)	 		-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~salmon", VehicleOptions.BsalmonPaint, nil, false, 0.35, 0)	 			-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~lightsalmon", VehicleOptions.BlightsalmonPaint, nil, false, 0.35, 0)	 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~orangered", VehicleOptions.BorangeredPaint, nil, false, 0.35, 0)			-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~darkorange", VehicleOptions.BdarkorangePaint, nil, false, 0.35, 0)		-- Finished	
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~orange", VehicleOptions.BorangePaint, nil, false, 0.35, 0)	 		-- Finished	
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~gold", VehicleOptions.BgoldPaint, nil, false, 0.35, 0)	 			-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~darkgoldenrod", VehicleOptions.BdarkgoldenrodPaint, nil, false, 0.35, 0)		-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~goldenrod", VehicleOptions.BgoldenrodPaint, nil, false, 0.35, 0)			-- Finished
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~y~palegoldenrod", VehicleOptions.BpalegoldenrodPaint, nil, false, 0.35, 0)		-- Finished  
	VehicleMenuGUI.addButton("Bothcolor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 3
	VehicleMenuGUI.createMenu("Bothcolor3", "Bothcolor2", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor4", false, 0.35, 0) -- Finished
  	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~darkkhaki", VehicleOptions.BdarkkhakiPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~khaki", VehicleOptions.BkhakiPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~olive", VehicleOptions.BolivePaint, nil, false, 0.35, 0)  -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~yellow", VehicleOptions.ByellowPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~yellowgreen", VehicleOptions.ByellowgreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~darkolivegreen", VehicleOptions.BdarkolivegreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~olivedrab", VehicleOptions.BolibedrabPaint, nil, false, 0.35, 0)		-- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~lawngreen", VehicleOptions.BlawngreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~chartreuse", VehicleOptions.BchartreusePaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~y~greenyellow", VehicleOptions.BgreenyellowPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 4	
	VehicleMenuGUI.createMenu("Bothcolor4", "Bothcolor3", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor5", false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~darkgreen", VehicleOptions.BdarkgreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~green", VehicleOptions.BgreenPaint, nil, false, 0.35, 0) 		-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~forestgreen", VehicleOptions.BforestgreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~lime", VehicleOptions.BlimePaint, nil, false, 0.35, 0) 		-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~limegreen", VehicleOptions.BlimegreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~lightgreen", VehicleOptions.BlightgreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~palegreen", VehicleOptions.BpalegreenPaint, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~darkseagreen", VehicleOptions.BdarkseagreenPaint, nil, false, 0.35, 0) -- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~springgreen", VehicleOptions.BspringgreenPaint, nil, false, 0.35, 0)		-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~y~springgreen2", VehicleOptions.BspringgreenPaint2, nil, false, 0.35, 0) 	-- Finished
	VehicleMenuGUI.addButton("Bothcolor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 5	
	VehicleMenuGUI.createMenu("Bothcolor5", "Bothcolor4", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~5~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~seagreen", VehicleOptions.BseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~aquamarine", VehicleOptions.BaquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~mediumseagreen", VehicleOptions.BmediumseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~lightseagreen", VehicleOptions.BlightseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~darkslategray", VehicleOptions.BdarkslategrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~teal", VehicleOptions.BtealPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~darkcyan", VehicleOptions.BdarkcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~aqua", VehicleOptions.BaquaPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~cyan", VehicleOptions.BcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~y~lightcyan", VehicleOptions.BlightcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 6	
	VehicleMenuGUI.createMenu("Bothcolor6", "Bothcolor5", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~6~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~darkturquoise", VehicleOptions.BdarkturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~turquoise", VehicleOptions.BturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~mediumturquoise", VehicleOptions.BmediumturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~paleturquoise", VehicleOptions.BpaleturquoisePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~aquamarine", VehicleOptions.aquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~powderblue", VehicleOptions.BpowderbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~cadetblue", VehicleOptions.BcadetbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~steelblue", VehicleOptions.BsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~cornflowerblue", VehicleOptions.BcornflowerbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~y~deepskyblue", VehicleOptions.BdeepskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 7	
	VehicleMenuGUI.createMenu("Bothcolor7", "Bothcolor6", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~7~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~dodgerblue", VehicleOptions.BdodgerbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~lightblue", VehicleOptions.BlightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~skyblue", VehicleOptions.BskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~lightskyblue", VehicleOptions.BlightskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~midnightblue", VehicleOptions.BmidnightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~navy", VehicleOptions.BnavyPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~darkblue", VehicleOptions.BdarkbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~mediumblue", VehicleOptions.BmediumbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~blue", VehicleOptions.BbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~y~royalblue", VehicleOptions.BroyalbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 8	
	VehicleMenuGUI.createMenu("Bothcolor8", "Bothcolor7", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~8~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~blueviolet", VehicleOptions.BbluevioletPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~indigo", VehicleOptions.BindigoPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~darkslateblue", VehicleOptions.BdarkslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~slateblue", VehicleOptions.BslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~mediumslateblue", VehicleOptions.BmediumslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~mediumpurple", VehicleOptions.BmediumpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~darkmagenta", VehicleOptions.BdarkmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~darkviolet", VehicleOptions.BdarkvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~darkorchid", VehicleOptions.BdarkorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~y~mediumorchid", VehicleOptions.BmediumorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 9	
	VehicleMenuGUI.createMenu("Bothcolor9", "Bothcolor8", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~9~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~purple", VehicleOptions.BpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~thistle", VehicleOptions.BthistlePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~plum", VehicleOptions.BplumPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~violet", VehicleOptions.BvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~magenta", VehicleOptions.BmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~orchid", VehicleOptions.BorchidPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~mediumvioletred", VehicleOptions.BmediumvioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~palevioletred", VehicleOptions.BpalevioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~deeppink", VehicleOptions.BdeeppinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~y~hotpink", VehicleOptions.BhotpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)		
	
	--Both Colors paint Bcolor 10	
	VehicleMenuGUI.createMenu("Bothcolor10", "Bothcolor9", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~1~y~0~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~lightpink", VehicleOptions.BlightpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~pink", VehicleOptions.BpinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~antiquewhite", VehicleOptions.BantiquewhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~beige", VehicleOptions.BbeigePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~bisque", VehicleOptions.BbisquePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~blanchedalmond", VehicleOptions.BblanchedalmondPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~wheat", VehicleOptions.BwheatPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~cornsilk", VehicleOptions.BcornsilkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~lemonchiffon", VehicleOptions.BlemonchiffonPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~y~lightgoldenrod", VehicleOptions.BlightgoldenrodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 11	
	VehicleMenuGUI.createMenu("Bothcolor11", "Bothcolor10", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~1~y~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~lightyellow", VehicleOptions.BlightyellowPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~saddlebrown", VehicleOptions.BsaddlebrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~sienna", VehicleOptions.BsiennaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~chocolate", VehicleOptions.BchocolatePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~peru", VehicleOptions.BperuPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~sandybrown", VehicleOptions.BsandybrownPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~burlywood", VehicleOptions.BburlywoodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~tan", VehicleOptions.BtanPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~rosybrown", VehicleOptions.BrosybrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~y~moccasin", VehicleOptions.BmoccasinPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--Both Colors paint Bcolor 12	
	VehicleMenuGUI.createMenu("Bothcolor12", "Bothcolor11", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~1~y~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~navajowhite", VehicleOptions.BnavajowhitePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~peachpuff", VehicleOptions.BpeachpuffPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~mistyrose", VehicleOptions.BmistyrosePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~lavenderblush", VehicleOptions.BlavenderblushPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~linen", VehicleOptions.BlinenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~oldlace", VehicleOptions.BoldlacePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~papayawhip", VehicleOptions.BpapayawhipPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~seashell", VehicleOptions.BseashellPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~mintcream", VehicleOptions.BmintcreamPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~y~slategray", VehicleOptions.BslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Both Colors paint Bcolor 13	
	VehicleMenuGUI.createMenu("Bothcolor13", "Bothcolor12", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~1~y~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Bothcolor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~lightslategray", VehicleOptions.BlightslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~lightsteelblue", VehicleOptions.BlightsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~lavender", VehicleOptions.BlavenderPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~floralwhite", VehicleOptions.BfloralwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~aliceblue", VehicleOptions.BalicebluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~ghostwhite", VehicleOptions.BghostwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~honeydew", VehicleOptions.BhoneydewPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~ivory", VehicleOptions.BivoryPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~azure", VehicleOptions.BazurePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~y~snow", VehicleOptions.BsnowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	--Both Colors paint Bcolor 14
	VehicleMenuGUI.createMenu("Bothcolor14", "Bothcolor13", "~b~B~y~o~b~t~y~h ~b~C~y~o~b~l~y~o~b~r~y~s~b~1~y~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "Bothcolor", false, 0.35, 0)
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~black", VehicleOptions.BblackPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~dimgray", VehicleOptions.BdimgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~gray", VehicleOptions.BgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~darkgray", VehicleOptions.BdarkgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~silver", VehicleOptions.BsilverPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~lightgray", VehicleOptions.BlightgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~gainsboro", VehicleOptions.BgainsboroPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~whitesmoke", VehicleOptions.BwhitesmokePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~y~white", VehicleOptions.BwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Bothcolor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	


	--Primary Color paint Pcolor 1
	VehicleMenuGUI.createMenu("Primarycolor", "CarColor", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~1~n~~h~~y~ ∑~b~------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor2", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~maroon", VehicleOptions.PmaroonPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~darkred", VehicleOptions.PdarkredPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~brown", VehicleOptions.PbrownPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~firebrick", VehicleOptions.PfirebrickPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~crimson", VehicleOptions.PcrimsonPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~red", VehicleOptions.PredPaint, nil, false, 0.35, 0)	 					
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~tomato", VehicleOptions.PtomatoPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~coral", VehicleOptions.PcoralPaint, nil, false, 0.35, 0)					
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~indianred", VehicleOptions.PindianredPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Primarycolor", "~h~~y~lightcoral", VehicleOptions.PlightcoralPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 2
	VehicleMenuGUI.createMenu("Primarycolor2", "Primarycolor", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor3", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~darksalmon", VehicleOptions.PdarksalmonPaint, nil, false, 0.35, 0)	 		
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~salmon", VehicleOptions.PsalmonPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~lightsalmon", VehicleOptions.PlightsalmonPaint, nil, false, 0.35, 0)	 	
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~orangered", VehicleOptions.PorangeredPaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~darkorange", VehicleOptions.PdarkorangePaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~orange", VehicleOptions.PorangePaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~gold", VehicleOptions.PgoldPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~darkgoldenrod", VehicleOptions.PdarkgoldenrodPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~goldenrod", VehicleOptions.PgoldenrodPaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~y~palegoldenrod", VehicleOptions.PpalegoldenrodPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Primarycolor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 3
	VehicleMenuGUI.createMenu("Primarycolor3", "Primarycolor2", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor4", false, 0.35, 0)
  	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~darkkhaki", VehicleOptions.PdarkkhakiPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~khaki", VehicleOptions.PkhakiPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~olive", VehicleOptions.PolivePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~yellow", VehicleOptions.PyellowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~yellowgreen", VehicleOptions.PyellowgreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~darkolivegreen", VehicleOptions.PdarkolivegreenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~olivedrab", VehicleOptions.PolibedrabPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~lawngreen", VehicleOptions.PlawngreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~chartreuse", VehicleOptions.PchartreusePaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~y~greenyellow", VehicleOptions.PgreenyellowPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 4	
	VehicleMenuGUI.createMenu("Primarycolor4", "Primarycolor3", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor5", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~darkgreen", VehicleOptions.PdarkgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~green", VehicleOptions.PgreenPaint, nil, false, 0.35, 0) 		
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~forestgreen", VehicleOptions.PforestgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~lime", VehicleOptions.PlimePaint, nil, false, 0.35, 0) 		
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~limegreen", VehicleOptions.PlimegreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~lightgreen", VehicleOptions.PlightgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~palegreen", VehicleOptions.PpalegreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~darkseagreen", VehicleOptions.PdarkseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~springgreen", VehicleOptions.PspringgreenPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~y~springgreen2", VehicleOptions.PspringgreenPaint2, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 5	
	VehicleMenuGUI.createMenu("Primarycolor5", "Primarycolor4", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~5~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~seagreen", VehicleOptions.PseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~aquamarine", VehicleOptions.PaquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~mediumseagreen", VehicleOptions.PmediumseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~lightseagreen", VehicleOptions.PlightseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~darkslategray", VehicleOptions.PdarkslategrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~teal", VehicleOptions.PtealPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~darkcyan", VehicleOptions.PdarkcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~aqua", VehicleOptions.PaquaPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~cyan", VehicleOptions.PcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~y~lightcyan", VehicleOptions.PlightcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 6	
	VehicleMenuGUI.createMenu("Primarycolor6", "Primarycolor5", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~6~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~darkturquoise", VehicleOptions.PdarkturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~turquoise", VehicleOptions.PturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~mediumturquoise", VehicleOptions.PmediumturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~paleturquoise", VehicleOptions.PpaleturquoisePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~aquamarine", VehicleOptions.aquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~powderblue", VehicleOptions.PpowderbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~cadetblue", VehicleOptions.PcadetbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~steelblue", VehicleOptions.PsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~cornflowerblue", VehicleOptions.PcornflowerbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~y~deepskyblue", VehicleOptions.PdeepskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 7	
	VehicleMenuGUI.createMenu("Primarycolor7", "Primarycolor6", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~7~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~dodgerblue", VehicleOptions.PdodgerbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~lightblue", VehicleOptions.PlightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~skyblue", VehicleOptions.PskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~lightskyblue", VehicleOptions.PlightskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~midnightblue", VehicleOptions.PmidnightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~navy", VehicleOptions.PnavyPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~darkblue", VehicleOptions.PdarkbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~mediumblue", VehicleOptions.PmediumbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~blue", VehicleOptions.PbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~y~royalblue", VehicleOptions.ProyalbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 8	
	VehicleMenuGUI.createMenu("Primarycolor8", "Primarycolor7", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~8~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~blueviolet", VehicleOptions.PbluevioletPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~indigo", VehicleOptions.PindigoPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~darkslateblue", VehicleOptions.PdarkslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~slateblue", VehicleOptions.PslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~mediumslateblue", VehicleOptions.PmediumslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~mediumpurple", VehicleOptions.PmediumpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~darkmagenta", VehicleOptions.PdarkmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~darkviolet", VehicleOptions.PdarkvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~darkorchid", VehicleOptions.PdarkorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~y~mediumorchid", VehicleOptions.PmediumorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 9	
	VehicleMenuGUI.createMenu("Primarycolor9", "Primarycolor8", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~9~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~purple", VehicleOptions.PpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~thistle", VehicleOptions.PthistlePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~plum", VehicleOptions.PplumPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~violet", VehicleOptions.PvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~magenta", VehicleOptions.PmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~orchid", VehicleOptions.PorchidPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~mediumvioletred", VehicleOptions.PmediumvioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~palevioletred", VehicleOptions.PpalevioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~deeppink", VehicleOptions.PdeeppinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~y~hotpink", VehicleOptions.PhotpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)		
	
	--Primary Color paint Pcolor 10	
	VehicleMenuGUI.createMenu("Primarycolor10", "Primarycolor9", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~1~y~0~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~lightpink", VehicleOptions.PlightpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~pink", VehicleOptions.PpinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~antiquewhite", VehicleOptions.PantiquewhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~beige", VehicleOptions.PbeigePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~bisque", VehicleOptions.PbisquePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~blanchedalmond", VehicleOptions.PblanchedalmondPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~wheat", VehicleOptions.PwheatPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~cornsilk", VehicleOptions.PcornsilkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~lemonchiffon", VehicleOptions.PlemonchiffonPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~y~lightgoldenrod", VehicleOptions.PlightgoldenrodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 11	
	VehicleMenuGUI.createMenu("Primarycolor11", "Primarycolor10", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~1~y~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~lightyellow", VehicleOptions.PlightyellowPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~saddlebrown", VehicleOptions.PsaddlebrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~sienna", VehicleOptions.PsiennaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~chocolate", VehicleOptions.PchocolatePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~peru", VehicleOptions.PperuPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~sandybrown", VehicleOptions.PsandybrownPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~burlywood", VehicleOptions.PburlywoodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~tan", VehicleOptions.PtanPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~rosybrown", VehicleOptions.ProsybrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~y~moccasin", VehicleOptions.PmoccasinPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--Primary Color paint Pcolor 12	
	VehicleMenuGUI.createMenu("Primarycolor12", "Primarycolor11", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~1~y~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~navajowhite", VehicleOptions.PnavajowhitePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~peachpuff", VehicleOptions.PpeachpuffPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~mistyrose", VehicleOptions.PmistyrosePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~lavenderblush", VehicleOptions.PlavenderblushPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~linen", VehicleOptions.PlinenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~oldlace", VehicleOptions.PoldlacePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~papayawhip", VehicleOptions.PpapayawhipPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~seashell", VehicleOptions.PseashellPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~mintcream", VehicleOptions.PmintcreamPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~y~slategray", VehicleOptions.PslategrayPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Primarycolor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Primary Color paint Pcolor 13	
	VehicleMenuGUI.createMenu("Primarycolor13", "Primarycolor12", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~1~y~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Primarycolor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~lightslategray", VehicleOptions.PlightslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~lightsteelblue", VehicleOptions.PlightsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~lavender", VehicleOptions.PlavenderPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~floralwhite", VehicleOptions.PfloralwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~aliceblue", VehicleOptions.PalicebluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~ghostwhite", VehicleOptions.PghostwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~honeydew", VehicleOptions.PhoneydewPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~ivory", VehicleOptions.PivoryPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~azure", VehicleOptions.PazurePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~y~snow", VehicleOptions.PsnowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	--Primary Color paint Pcolor 14
	VehicleMenuGUI.createMenu("Primarycolor14", "Primarycolor13", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y ~y~C~b~o~y~l~b~o~b~r~b~1~y~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "Primarycolor", false, 0.35, 0)
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~black", VehicleOptions.PblackPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~dimgray", VehicleOptions.PdimgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~gray", VehicleOptions.PgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~darkgray", VehicleOptions.PdarkgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~silver", VehicleOptions.PsilverPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~lightgray", VehicleOptions.PlightgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~gainsboro", VehicleOptions.PgainsboroPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~whitesmoke", VehicleOptions.PwhitesmokePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~y~white", VehicleOptions.PwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarycolor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	

	--Secondary Color paint SColor 1
	VehicleMenuGUI.createMenu("Secondarycolor", "CarColor", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~1~n~~h~~y~ ∑~b~------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor2", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~maroon", VehicleOptions.SmaroonPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~darkred", VehicleOptions.SdarkredPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~brown", VehicleOptions.SbrownPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~firebrick", VehicleOptions.SfirebrickPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~crimson", VehicleOptions.ScrimsonPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~red", VehicleOptions.SredPaint, nil, false, 0.35, 0)	 					
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~tomato", VehicleOptions.StomatoPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~coral", VehicleOptions.ScoralPaint, nil, false, 0.35, 0)					
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~indianred", VehicleOptions.SindianredPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~y~lightcoral", VehicleOptions.SlightcoralPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 2
	VehicleMenuGUI.createMenu("Secondarycolor2", "Secondarycolor", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor3", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~darksalmon", VehicleOptions.SdarksalmonPaint, nil, false, 0.35, 0)	 		
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~salmon", VehicleOptions.SsalmonPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~lightsalmon", VehicleOptions.SlightsalmonPaint, nil, false, 0.35, 0)	 	
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~orangered", VehicleOptions.SorangeredPaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~darkorange", VehicleOptions.SdarkorangePaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~orange", VehicleOptions.SorangePaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~gold", VehicleOptions.SgoldPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~darkgoldenrod", VehicleOptions.SdarkgoldenrodPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~goldenrod", VehicleOptions.SgoldenrodPaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~y~palegoldenrod", VehicleOptions.SpalegoldenrodPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Secondarycolor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 3
	VehicleMenuGUI.createMenu("Secondarycolor3", "Secondarycolor2", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor4", false, 0.35, 0)
  	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~darkkhaki", VehicleOptions.SdarkkhakiPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~khaki", VehicleOptions.SkhakiPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~olive", VehicleOptions.SolivePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~yellow", VehicleOptions.SyellowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~yellowgreen", VehicleOptions.SyellowgreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~darkolivegreen", VehicleOptions.SdarkolivegreenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~olivedrab", VehicleOptions.SolibedrabPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~lawngreen", VehicleOptions.SlawngreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~chartreuse", VehicleOptions.SchartreusePaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~y~greenyellow", VehicleOptions.SgreenyellowPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 4	
	VehicleMenuGUI.createMenu("Secondarycolor4", "Secondarycolor3", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor5", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~darkgreen", VehicleOptions.SdarkgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~green", VehicleOptions.SgreenPaint, nil, false, 0.35, 0) 		
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~forestgreen", VehicleOptions.SforestgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~lime", VehicleOptions.SlimePaint, nil, false, 0.35, 0) 		
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~limegreen", VehicleOptions.SlimegreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~lightgreen", VehicleOptions.SlightgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~palegreen", VehicleOptions.SpalegreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~darkseagreen", VehicleOptions.SdarkseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~springgreen", VehicleOptions.SspringgreenPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~y~springgreen2", VehicleOptions.SspringgreenPaint2, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 5	
	VehicleMenuGUI.createMenu("Secondarycolor5", "Secondarycolor4", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~5~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~seagreen", VehicleOptions.SseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~aquamarine", VehicleOptions.SaquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~mediumseagreen", VehicleOptions.SmediumseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~lightseagreen", VehicleOptions.SlightseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~darkslategray", VehicleOptions.SdarkslategrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~teal", VehicleOptions.StealPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~darkcyan", VehicleOptions.SdarkcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~aqua", VehicleOptions.SaquaPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~cyan", VehicleOptions.ScyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~y~lightcyan", VehicleOptions.SlightcyanPaint, nil, false, 0.35, 0) 

	VehicleMenuGUI.addButton("Secondarycolor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 6	
	VehicleMenuGUI.createMenu("Secondarycolor6", "Secondarycolor5", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~6~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~darkturquoise", VehicleOptions.SdarkturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~turquoise", VehicleOptions.SturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~mediumturquoise", VehicleOptions.SmediumturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~paleturquoise", VehicleOptions.SpaleturquoisePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~aquamarine", VehicleOptions.aquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~powderblue", VehicleOptions.SpowderbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~cadetblue", VehicleOptions.ScadetbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~steelblue", VehicleOptions.SsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~cornflowerblue", VehicleOptions.ScornflowerbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~y~deepskyblue", VehicleOptions.SdeepskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 7	
	VehicleMenuGUI.createMenu("Secondarycolor7", "Secondarycolor6", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~7~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~dodgerblue", VehicleOptions.SdodgerbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~lightblue", VehicleOptions.SlightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~skyblue", VehicleOptions.SskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~lightskyblue", VehicleOptions.SlightskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~midnightblue", VehicleOptions.SmidnightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~navy", VehicleOptions.SnavyPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~darkblue", VehicleOptions.SdarkbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~mediumblue", VehicleOptions.SmediumbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~blue", VehicleOptions.SbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~y~royalblue", VehicleOptions.SroyalbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 8	
	VehicleMenuGUI.createMenu("Secondarycolor8", "Secondarycolor7", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~8~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~blueviolet", VehicleOptions.SbluevioletPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~indigo", VehicleOptions.SindigoPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~darkslateblue", VehicleOptions.SdarkslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~slateblue", VehicleOptions.SslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~mediumslateblue", VehicleOptions.SmediumslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~mediumpurple", VehicleOptions.SmediumpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~darkmagenta", VehicleOptions.SdarkmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~darkviolet", VehicleOptions.SdarkvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~darkorchid", VehicleOptions.SdarkorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~y~mediumorchid", VehicleOptions.SmediumorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 9	
	VehicleMenuGUI.createMenu("Secondarycolor9", "Secondarycolor8", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y ~y~C~b~o~b~l~y~o~b~r~b~9~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~purple", VehicleOptions.SpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~thistle", VehicleOptions.SthistlePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~plum", VehicleOptions.SplumPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~violet", VehicleOptions.SvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~magenta", VehicleOptions.SmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~orchid", VehicleOptions.SorchidPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~mediumvioletred", VehicleOptions.SmediumvioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~palevioletred", VehicleOptions.SpalevioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~deeppink", VehicleOptions.SdeeppinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~y~hotpink", VehicleOptions.ShotpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)		
	
	--Secondary Color paint SColor 10	
	VehicleMenuGUI.createMenu("Secondarycolor10", "Secondarycolor9", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y~y~C~b~o~b~l~y~o~b~r~b~1~y~0~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~lightpink", VehicleOptions.SlightpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~pink", VehicleOptions.SpinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~antiquewhite", VehicleOptions.SantiquewhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~beige", VehicleOptions.SbeigePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~bisque", VehicleOptions.SbisquePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~blanchedalmond", VehicleOptions.SblanchedalmondPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~wheat", VehicleOptions.SwheatPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~cornsilk", VehicleOptions.ScornsilkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~lemonchiffon", VehicleOptions.SlemonchiffonPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~y~lightgoldenrod", VehicleOptions.SlightgoldenrodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 11	
	VehicleMenuGUI.createMenu("Secondarycolor11", "Secondarycolor10", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y~y~C~b~o~b~l~y~o~b~r~b~1~y~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~lightyellow", VehicleOptions.SlightyellowPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~saddlebrown", VehicleOptions.SsaddlebrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~sienna", VehicleOptions.SsiennaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~chocolate", VehicleOptions.SchocolatePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~peru", VehicleOptions.SperuPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~sandybrown", VehicleOptions.SsandybrownPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~burlywood", VehicleOptions.SburlywoodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~tan", VehicleOptions.StanPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~rosybrown", VehicleOptions.SrosybrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~y~moccasin", VehicleOptions.SmoccasinPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--Secondary Color paint SColor 12	
	VehicleMenuGUI.createMenu("Secondarycolor12", "Secondarycolor11", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y~y~C~b~o~b~l~y~o~b~r~b~1~y~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~navajowhite", VehicleOptions.SnavajowhitePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~peachpuff", VehicleOptions.SpeachpuffPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~mistyrose", VehicleOptions.SmistyrosePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~lavenderblush", VehicleOptions.SlavenderblushPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~linen", VehicleOptions.SlinenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~oldlace", VehicleOptions.SoldlacePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~papayawhip", VehicleOptions.SpapayawhipPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~seashell", VehicleOptions.SseashellPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~mintcream", VehicleOptions.SmintcreamPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~y~slategray", VehicleOptions.SslategrayPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Secondarycolor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Secondary Color paint SColor 13	
	VehicleMenuGUI.createMenu("Secondarycolor13", "Secondarycolor12", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y~y~C~b~o~b~l~y~o~b~r~b~1~y~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Secondarycolor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~lightslategray", VehicleOptions.SlightslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~lightsteelblue", VehicleOptions.SlightsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~lavender", VehicleOptions.SlavenderPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~floralwhite", VehicleOptions.SfloralwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~aliceblue", VehicleOptions.SalicebluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~ghostwhite", VehicleOptions.SghostwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~honeydew", VehicleOptions.ShoneydewPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~ivory", VehicleOptions.SivoryPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~azure", VehicleOptions.SazurePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~y~snow", VehicleOptions.SsnowPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	--Secondary Color paint SColor 14
	VehicleMenuGUI.createMenu("Secondarycolor14", "Secondarycolor13", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y~y~C~b~o~b~l~y~o~b~r~b~1~y~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "Secondarycolor", false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~black", VehicleOptions.SblackPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~dimgray", VehicleOptions.SdimgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~gray", VehicleOptions.SgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~darkgray", VehicleOptions.SdarkgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~silver", VehicleOptions.SsilverPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~lightgray", VehicleOptions.SlightgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~gainsboro", VehicleOptions.SgainsboroPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~whitesmoke", VehicleOptions.SwhitesmokePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~y~white", VehicleOptions.SwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Secondarycolor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	-- Both Colortypes pain BTColor
	VehicleMenuGUI.createMenu("Bothtype", "CarColor", "~b~B~y~o~b~t~y~h ~b~T~y~y~b~p~y~e~b~s~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Bothtype", "~h~~y~Classic", VehicleOptions.BClassic, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Bothtype", "~h~~y~Metallic", VehicleOptions.BMetallic, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Bothtype", "~h~~y~Pearl", VehicleOptions.BPearl, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Bothtype", "~h~~y~Matte", VehicleOptions.BMatte, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Bothtype", "~h~~y~Metal", VehicleOptions.BMetal, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Bothtype", "~h~~y~Chrome", VehicleOptions.BChrome, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Bothtype", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)		
	
	--Primary ColorType paint PTColor
	VehicleMenuGUI.createMenu("Primarytype", "CarColor", "~b~P~y~r~b~i~y~m~b~a~y~r~b~y T~b~y~y~p~b~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Primarytype", "~h~~y~Classic", VehicleOptions.PClassic, nil, false, 0.35, 0)	 
	VehicleMenuGUI.addButton("Primarytype", "~h~~y~Metallic", VehicleOptions.PMetallic, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Primarytype", "~h~~y~Pearl", VehicleOptions.PPearl, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Primarytype", "~h~~y~Matte", VehicleOptions.PMatte, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Primarytype", "~h~~y~Metal", VehicleOptions.PMetal, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Primarytype", "~h~~y~Chrome", VehicleOptions.PChrome, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Primarytype", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	

	--Secondary ColorType paint STcolor
	VehicleMenuGUI.createMenu("Secondarytype", "CarColor", "~b~S~y~e~b~c~y~o~b~n~y~d~b~a~y~r~b~y T~b~y~y~p~b~e~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Secondarytype", "~h~~y~Classic", VehicleOptions.SClassic, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarytype", "~h~~y~Metallic", VehicleOptions.SMetallic, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarytype", "~h~~y~Pearl", VehicleOptions.SPearl, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarytype", "~h~~y~Matte", VehicleOptions.SMatte, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarytype", "~h~~y~Metal", VehicleOptions.SMetal, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Secondarytype", "~h~~y~Chrome", VehicleOptions.SChrome, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Secondarytype", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	


	--Set Color Neon NColor 1
	VehicleMenuGUI.createMenu("Neoncolor", "CarNeon", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~1~n~~h~~y~ ∑~b~------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor2", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~maroon", VehicleOptions.NmaroonPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~darkred", VehicleOptions.NdarkredPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~brown", VehicleOptions.NbrownPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~firebrick", VehicleOptions.NfirebrickPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~crimson", VehicleOptions.NcrimsonPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~red", VehicleOptions.NredPaint, nil, false, 0.35, 0)	 					
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~tomato", VehicleOptions.NtomatoPaint, nil, false, 0.35, 0)	 				
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~coral", VehicleOptions.NcoralPaint, nil, false, 0.35, 0)					
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~indianred", VehicleOptions.NindianredPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Neoncolor", "~h~~y~lightcoral", VehicleOptions.NlightcoralPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 2
	VehicleMenuGUI.createMenu("Neoncolor2", "Neoncolor", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor3", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~darksalmon", VehicleOptions.NdarksalmonPaint, nil, false, 0.35, 0)	 		
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~salmon", VehicleOptions.NsalmonPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~lightsalmon", VehicleOptions.NlightsalmonPaint, nil, false, 0.35, 0)	 	
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~orangered", VehicleOptions.NorangeredPaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~darkorange", VehicleOptions.NdarkorangePaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~orange", VehicleOptions.NorangePaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~gold", VehicleOptions.NgoldPaint, nil, false, 0.35, 0)	 			
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~darkgoldenrod", VehicleOptions.NdarkgoldenrodPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~goldenrod", VehicleOptions.NgoldenrodPaint, nil, false, 0.35, 0)			
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~y~palegoldenrod", VehicleOptions.NpalegoldenrodPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Neoncolor2", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 3
	VehicleMenuGUI.createMenu("Neoncolor3", "Neoncolor2", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor4", false, 0.35, 0)
  	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~darkkhaki", VehicleOptions.NdarkkhakiPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~khaki", VehicleOptions.NkhakiPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~olive", VehicleOptions.NolivePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~yellow", VehicleOptions.NyellowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~yellowgreen", VehicleOptions.NyellowgreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~darkolivegreen", VehicleOptions.NdarkolivegreenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~olivedrab", VehicleOptions.NolibedrabPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~lawngreen", VehicleOptions.NlawngreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~chartreuse", VehicleOptions.NchartreusePaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~y~greenyellow", VehicleOptions.NgreenyellowPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor3", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 4	
	VehicleMenuGUI.createMenu("Neoncolor4", "Neoncolor3", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor5", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~darkgreen", VehicleOptions.NdarkgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~green", VehicleOptions.NgreenPaint, nil, false, 0.35, 0) 		
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~forestgreen", VehicleOptions.NforestgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~lime", VehicleOptions.NlimePaint, nil, false, 0.35, 0) 		
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~limegreen", VehicleOptions.NlimegreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~lightgreen", VehicleOptions.NlightgreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~palegreen", VehicleOptions.NpalegreenPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~darkseagreen", VehicleOptions.NdarkseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~springgreen", VehicleOptions.NspringgreenPaint, nil, false, 0.35, 0)		
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~y~springgreen2", VehicleOptions.NspringgreenPaint2, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor4", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 5	
	VehicleMenuGUI.createMenu("Neoncolor5", "Neoncolor4", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~5~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor6", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~seagreen", VehicleOptions.NseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~aquamarine", VehicleOptions.NaquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~mediumseagreen", VehicleOptions.NmediumseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~lightseagreen", VehicleOptions.NlightseagreenPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~darkslategray", VehicleOptions.NdarkslategrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~teal", VehicleOptions.NtealPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~darkcyan", VehicleOptions.NdarkcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~aqua", VehicleOptions.NaquaPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~cyan", VehicleOptions.NcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~y~lightcyan", VehicleOptions.NlightcyanPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor5", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 6	
	VehicleMenuGUI.createMenu("Neoncolor6", "Neoncolor5", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~6~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor7", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~darkturquoise", VehicleOptions.NdarkturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~turquoise", VehicleOptions.NturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~mediumturquoise", VehicleOptions.NmediumturquoisePaint, nil, false, 0.35, 0)  
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~paleturquoise", VehicleOptions.NpaleturquoisePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~aquamarine", VehicleOptions.aquamarinePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~powderblue", VehicleOptions.NpowderbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~cadetblue", VehicleOptions.NcadetbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~steelblue", VehicleOptions.NsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~cornflowerblue", VehicleOptions.NcornflowerbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~y~deepskyblue", VehicleOptions.NdeepskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor6", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 7	
	VehicleMenuGUI.createMenu("Neoncolor7", "Neoncolor6", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~7~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor8", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~dodgerblue", VehicleOptions.NdodgerbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~lightblue", VehicleOptions.NlightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~skyblue", VehicleOptions.NskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~lightskyblue", VehicleOptions.NlightskybluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~midnightblue", VehicleOptions.NmidnightbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~navy", VehicleOptions.NnavyPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~darkblue", VehicleOptions.NdarkbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~mediumblue", VehicleOptions.NmediumbluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~blue", VehicleOptions.NbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~y~royalblue", VehicleOptions.NroyalbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor7", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 8	
	VehicleMenuGUI.createMenu("Neoncolor8", "Neoncolor7", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~8~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor9", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~blueviolet", VehicleOptions.NbluevioletPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~indigo", VehicleOptions.NindigoPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~darkslateblue", VehicleOptions.NdarkslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~slateblue", VehicleOptions.NslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~mediumslateblue", VehicleOptions.NmediumslatebluePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~mediumpurple", VehicleOptions.NmediumpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~darkmagenta", VehicleOptions.NdarkmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~darkviolet", VehicleOptions.NdarkvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~darkorchid", VehicleOptions.NdarkorchidPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~y~mediumorchid", VehicleOptions.NmediumorchidPaint, nil, false, 0.35, 0) 	
	VehicleMenuGUI.addButton("Neoncolor8", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 9	
	VehicleMenuGUI.createMenu("Neoncolor9", "Neoncolor8", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~9~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor10", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~purple", VehicleOptions.NpurplePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~thistle", VehicleOptions.NthistlePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~plum", VehicleOptions.NplumPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~violet", VehicleOptions.NvioletPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~magenta", VehicleOptions.NmagentaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~orchid", VehicleOptions.NorchidPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~mediumvioletred", VehicleOptions.NmediumvioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~palevioletred", VehicleOptions.NpalevioletredPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~deeppink", VehicleOptions.NdeeppinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~y~hotpink", VehicleOptions.NhotpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor9", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)		
	
	--Set Color Neon NColor 10	
	VehicleMenuGUI.createMenu("Neoncolor10", "Neoncolor9", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~1~y~0~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor11", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~lightpink", VehicleOptions.NlightpinkPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~pink", VehicleOptions.NpinkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~antiquewhite", VehicleOptions.NantiquewhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~beige", VehicleOptions.NbeigePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~bisque", VehicleOptions.NbisquePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~blanchedalmond", VehicleOptions.NblanchedalmondPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~wheat", VehicleOptions.NwheatPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~cornsilk", VehicleOptions.NcornsilkPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~lemonchiffon", VehicleOptions.NlemonchiffonPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~y~lightgoldenrod", VehicleOptions.NlightgoldenrodPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Neoncolor10", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 11	
	VehicleMenuGUI.createMenu("Neoncolor11", "Neoncolor10", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~1~y~1~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor12", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~lightyellow", VehicleOptions.NlightyellowPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~saddlebrown", VehicleOptions.NsaddlebrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~sienna", VehicleOptions.NsiennaPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~chocolate", VehicleOptions.NchocolatePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~peru", VehicleOptions.NperuPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~sandybrown", VehicleOptions.NsandybrownPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~burlywood", VehicleOptions.NburlywoodPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~tan", VehicleOptions.NtanPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~rosybrown", VehicleOptions.NrosybrownPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~y~moccasin", VehicleOptions.NmoccasinPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Neoncolor11", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	--Set Color Neon NColor 12	
	VehicleMenuGUI.createMenu("Neoncolor12", "Neoncolor11", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~1~y~2~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor13", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~navajowhite", VehicleOptions.NnavajowhitePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~peachpuff", VehicleOptions.NpeachpuffPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~mistyrose", VehicleOptions.NmistyrosePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~lavenderblush", VehicleOptions.NlavenderblushPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~linen", VehicleOptions.NlinenPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~oldlace", VehicleOptions.NoldlacePaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~papayawhip", VehicleOptions.NpapayawhipPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~seashell", VehicleOptions.NseashellPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~mintcream", VehicleOptions.NmintcreamPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~y~slategray", VehicleOptions.NslategrayPaint, nil, false, 0.35, 0)	
	VehicleMenuGUI.addButton("Neoncolor12", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	
	--Set Color Neon NColor 13	
	VehicleMenuGUI.createMenu("Neoncolor13", "Neoncolor12", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~1~y~3~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~Next", VehicleMenuGUI.setActiveMenu, "Neoncolor14", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~lightslategray", VehicleOptions.NlightslategrayPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~lightsteelblue", VehicleOptions.NlightsteelbluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~lavender", VehicleOptions.NlavenderPaint, nil, false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~floralwhite", VehicleOptions.NfloralwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~aliceblue", VehicleOptions.NalicebluePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~ghostwhite", VehicleOptions.NghostwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~honeydew", VehicleOptions.NhoneydewPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~ivory", VehicleOptions.NivoryPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~azure", VehicleOptions.NazurePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~y~snow", VehicleOptions.NsnowPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor13", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)	
	

	--Set Color Neon NColor 14
	VehicleMenuGUI.createMenu("Neoncolor14", "Neoncolor13", "~b~C~y~a~b~r ~y~N~b~e~y~o~b~n~y~C~b~o~y~l~b~o~y~r~b~1~y~4~n~~h~~y~ ∑~b~-------------~y~∑", 0.93, 0.04, 0.125, 0.0625, 0.00000, 0.50, 7)
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~First", VehicleMenuGUI.setActiveMenu, "Neoncolor", false, 0.35, 0)
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~black", VehicleOptions.NblackPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~dimgray", VehicleOptions.NdimgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~gray", VehicleOptions.NgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~darkgray", VehicleOptions.NdarkgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~silver", VehicleOptions.NsilverPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~lightgray", VehicleOptions.NlightgrayPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~gainsboro", VehicleOptions.NgainsboroPaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~whitesmoke", VehicleOptions.NwhitesmokePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~y~white", VehicleOptions.NwhitePaint, nil, false, 0.35, 0) 
	VehicleMenuGUI.addButton("Neoncolor14", "~h~~b~C~y~l~b~o~y~s~b~e~n~~h~~y~∑~b~----------------------------~y~∑", MainMenu.CloseMenu, "", false, 0.35, 0)
	
	
	
	
	
end

function main:Run()
	-- ran once
	mainInit()
	VehicleOptions.init()
	SpawningOptions.init()
	Nummer = 1


	
	natives.GAMEPLAY.GET_ONSCREEN_KEYBOARD_RESULT:AddCallLayout(")s")
	natives.VEHICLE.GET_VEHICLE_NUMBER_PLATE_TEXT:AddCallLayout("a)s")
	natives.GAMEPLAY.DISPLAY_ONSCREEN_KEYBOARD:AddCallLayout("bssssssi)v")
	natives.VEHICLE.SET_VEHICLE_NUMBER_PLATE_TEXT_INDEX:AddCallLayout("aa)v")
	
	-- ran until killed	 or crash
	while self:IsRunning() do

		--update plyped if character was switched
		if (CurrentDirtLevel < 1) then CurrentDirtLevel = 1 end
		if (Nummer < 0) then Nummer = 0 end
		if(plyPed ~= natives.PLAYER.PLAYER_PED_ID()) then plyPed = natives.PLAYER.PLAYER_PED_ID() end
		if(ply ~= natives.PLAYER.PLAYER_ID()) then ply = natives.PLAYER.PLAYER_ID() end
		if(veh ~= natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)) then veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true) end
		if(RimsUpdateB ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 24)) then RimsUpdateB = natives.VEHICLE.GET_VEHICLE_MOD(veh, 24) end
		if(MaxRimsB ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 24)-1) then MaxRimsB = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 24)-1 end
		if(RimsUpdateF ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 23)) then RimsUpdateF = natives.VEHICLE.GET_VEHICLE_MOD(veh, 23) end
		if(MaxRimsF ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 23)-1) then MaxRimsF = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 23)-1 end
		if(ArmorUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 16)) then ArmorUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 16) end
		if(MaxArmor ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 16)-1) then MaxArmor = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 16)-1 end
		if(SuspensionUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 15)) then SuspensionUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 15) end
		if(MaxSuspension ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 15)-1) then MaxSuspension = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 15)-1 end
		if(HornsUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 14)) then HornsUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 14) end
		if(MaxHorns ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 14)-1) then MaxHorns = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 14)-1 end
		if(TransmissionUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 13)) then TransmissionUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 13) end
		if(MaxTransmission ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 13)-1) then MaxTransmission = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 13)-1 end	
		if(BrakesUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 12)) then BrakesUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 12) end
		if(MaxBrakes ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 12)-1) then MaxBrakes = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 12)-1 end	
		if(EngineUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 11)) then EngineUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 11) end
		if(MaxEngine ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 11)-1) then MaxEngine = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 11)-1 end
		if(RoofUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 10)) then RoofUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 10) end
		if(MaxRoof ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 10)-1) then MaxRoof = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 10)-1 end
		if(RightFenderUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 9)) then RightFenderUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 9) end
		if(MaxRightFender ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 9)-1) then MaxRightFender = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 9)-1 end 	
		if(FenderUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 8)) then FenderUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 8) end
		if(MaxFender ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 8)-1) then MaxFender = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 8)-1 end	
		if(HoodUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 7)) then HoodUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 7) end
		if(MaxHood ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 7)-1) then MaxHood = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 7)-1 end	
		if(GrilleUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 6)) then GrilleUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 6) end	
		if(MaxGrille ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 6)-1) then MaxGrille = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 6)-1 end	
		if(FrameUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 5)) then FrameUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 5) end	
		if(MaxFrame ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 5)-1) then MaxFrame = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 5)-1 end	
		if(ExhaustUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 4)) then ExhaustUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 4) end	
		if(MaxExhaust ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 4)-1) then MaxExhaust = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 4)-1 end	
		if(SideSkirtUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 3)) then SideSkirtUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 3) end	
		if(MaxSideSkirt ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 3)-1) then MaxSideSkirt = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 3)-1 end	
		if(RearBumperUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 2)) then RearBumperUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 2) end	
		if(MaxRearBumper ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 2)-1) then MaxRearBumper = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 2)-1 end	
		if(FrontBumperUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 1)) then FrontBumperUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 1) end	
		if(MaxFrontBumper ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 1)-1) then MaxFrontBumper = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 1)-1 end	
		if(SpoilersUpdate ~= natives.VEHICLE.GET_VEHICLE_MOD(veh, 0)) then SpoilersUpdate = natives.VEHICLE.GET_VEHICLE_MOD(veh, 0) end	
		if(MaxSpoiler ~= natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 0)-1) then MaxSpoiler = natives.VEHICLE.GET_NUM_VEHICLE_MODS(veh, 0)-1 end	

		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[3].text ~= "~h~~y~Spoilers (" .. SpoilersUpdate .. "/" .. MaxSpoiler .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[3].text = "~h~~y~Spoilers (" .. SpoilersUpdate .. "/" .. MaxSpoiler .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[4].text ~= "~h~~y~FrontBumper (" .. FrontBumperUpdate .. "/" .. MaxFrontBumper .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[4].text = "~h~~y~FrontBumper (" .. FrontBumperUpdate .. "/" .. MaxFrontBumper .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[5].text ~= "~h~~y~RearBumper (" .. RearBumperUpdate .. "/" .. MaxRearBumper .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[5].text = "~h~~y~RearBumper (" .. RearBumperUpdate .. "/" .. MaxRearBumper .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[6].text ~= "~h~~y~SideSkirt (" .. SideSkirtUpdate .. "/" .. MaxSideSkirt .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[6].text = "~h~~y~SideSkirt (" .. SideSkirtUpdate .. "/" .. MaxSideSkirt .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[7].text ~= "~h~~y~Exhaust (" .. ExhaustUpdate .. "/" .. MaxExhaust .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[7].text = "~h~~y~Exhaust (" .. ExhaustUpdate .. "/" .. MaxExhaust .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[8].text ~= "~h~~y~Frame (" .. FrameUpdate .. "/" .. MaxFrame .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[8].text = "~h~~y~Frame (" .. FrameUpdate .. "/" .. MaxFrame .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[9].text ~= "~h~~y~Grille (" .. GrilleUpdate .. "/" .. MaxGrille .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[9].text = "~h~~y~Grille (" .. GrilleUpdate .. "/" .. MaxGrille .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[10].text ~= "~h~~y~Hood (" .. HoodUpdate .. "/" .. MaxHood .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[10].text = "~h~~y~Hood (" .. HoodUpdate .. "/" .. MaxHood .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade"].settings[11].text ~= "~h~~y~Fender (" .. FenderUpdate .. "/" .. MaxFender .. ")") then VehicleMenuGUI.buttons["CarUpgrade"].settings[11].text = "~h~~y~Fender (" .. FenderUpdate .. "/" .. MaxFender .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[2].text ~= "~h~~y~RightFender (" .. RightFenderUpdate .. "/" .. MaxRightFender .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[2].text = "~h~~y~RightFender (" .. RightFenderUpdate .. "/" .. MaxRightFender .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[3].text ~= "~h~~y~Roof (" .. RoofUpdate .. "/" .. MaxRoof .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[3].text = "~h~~y~Roof (" .. RoofUpdate .. "/" .. MaxRoof .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[4].text ~= "~h~~y~Engine (" .. EngineUpdate .. "/" .. MaxEngine .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[4].text = "~h~~y~Engine (" .. EngineUpdate .. "/" .. MaxEngine .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[5].text ~= "~h~~y~Brakes (" .. BrakesUpdate .. "/" .. MaxBrakes .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[5].text = "~h~~y~Brakes (" .. BrakesUpdate .. "/" .. MaxBrakes .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[6].text ~= "~h~~y~Transmission (" .. TransmissionUpdate .. "/" .. MaxTransmission .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[6].text = "~h~~y~Transmission (" .. TransmissionUpdate .. "/" .. MaxTransmission .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[7].text ~= "~h~~y~Horns (" .. HornsUpdate .. "/" .. MaxHorns .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[7].text = "~h~~y~Horns (" .. HornsUpdate .. "/" .. MaxHorns .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[8].text ~= "~h~~y~Suspension (" .. SuspensionUpdate .. "/" .. MaxSuspension .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[8].text = "~h~~y~Suspension (" .. SuspensionUpdate .. "/" .. MaxSuspension .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[9].text ~= "~h~~y~Armor (" .. ArmorUpdate .. "/" .. MaxArmor .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[9].text = "~h~~y~Armor (" .. ArmorUpdate .. "/" .. MaxArmor .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[10].text ~= "~h~~y~F Rims (" .. RimsUpdateF .. "/" .. MaxRimsF .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[10].text = "~h~~y~F Rims (" .. RimsUpdateF .. "/" .. MaxRimsF .. ")" end
		if(VehicleMenuGUI.buttons["CarUpgrade3"].settings[11].text ~= "~h~~y~B Rims (" .. RimsUpdateB .. "/" .. MaxRimsB .. ")") then VehicleMenuGUI.buttons["CarUpgrade3"].settings[11].text = "~h~~y~B Rims (" .. RimsUpdateB .. "/" .. MaxRimsB .. ")" end
		if(VehicleMenuGUI.buttons["ServiceOptions"].settings[3].text ~= "~h~~y~Dirt (" .. CurrentDirtLevel .. "/" .. MaxDirtLevel .. ")") then VehicleMenuGUI.buttons["ServiceOptions"].settings[3].text = "~h~~y~Dirt (" .. CurrentDirtLevel .. "/" .. MaxDirtLevel .. ")" end

		--VehicleMenuGUI.tick needs to be called every tick. if not, the menus won't appear
		VehicleMenuGUI.tick()
		VehicleOptions.tick()
		SpawningOptions.tick()

		
		self:Wait(0)
	end
end

function main:OnError()
	self:Kill()
	addon.Load("Vehicle_Menu")
end

main:Register()

	